Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 85)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 86)
@@ -41,4 +41,5 @@
 if (isset($_GET['min'])) $min=intval($_GET['min']); else $min=0;
 if (isset($_GET['help'])) $help=intval($_GET['help']);
+if (isset($_GET['pwd4'])) $pwd4=intval($_GET['pwd4']);
 
 $offset=15;
@@ -61,5 +62,8 @@
 	echo "if (document.model.pwd3.checked==false) {\n";
 	echo "document.model.chiusa.options[3].selected=false \n";
+	echo "document.model.pwd4.checked=false \n";
+	echo "document.getElementById('trspunta').style.visibility='hidden' \n";
 	echo "} \n";
+	echo "else document.getElementById('trspunta').style.visibility='visible' \n";
 	echo "if (document.model.chiusa.options[3].selected==false) {
 	 \n";
@@ -67,5 +71,7 @@
 	echo "document.model.do.value=\"update\" \n";
 	echo "}else{\n";
-	echo "document.model.add.value=\""._DELETE." "._CONSULTA."\" \n";
+    echo "if (document.model.pwd4.checked==false) \n";
+	echo "document.model.add.value=\""._DELETE." "._DATI."\" \n";
+	echo "else document.model.add.value=\""._DELETE." "._CONSULTA."\" \n";
 	echo "document.model.do.value=\"delete\" \n";
 	echo "} \n";	
@@ -150,5 +156,6 @@
 		echo "<input type=\"hidden\" name=\"idcomune\" value=\"$idcomune\">";
 		echo "<input type=\"submit\" name=\"add\" value=\""._MODIFY."\" ></td></tr>";
-		echo "<tr><td colspan=\"4\"><fieldset><legend>Abilita la cancellazione</legend><label id=\"prov\">"._SPUNTAELIMINA." <input type=\"checkbox\" name=\"pwd3\" value=\"\" onchange=\"del_cons()\"></label></fieldset>";
+		echo "<tr><td colspan=\"4\"><fieldset><legend>"._SPUNTALABEL1."</legend><label id=\"prov1\">"._SPUNTAELIMINA." <input type=\"checkbox\" name=\"pwd3\" value=\"\" onchange=\"del_cons()\"></label></fieldset></td></tr>";
+		echo "<tr id=\"trspunta\" style=\"visibility:hidden\"><td colspan=\"4\"><fieldset><legend>"._SPUNTALABEL2."</legend><label id=\"prov\">"._VIASPUNTAELIMINA." <input type=\"checkbox\" name=\"pwd4\" value=\"1\" onchange=\"del_cons()\"></label></fieldset>";
 	}else{
 		echo "<input type=\"hidden\" name=\"do\" value=\"add\">";
@@ -206,5 +213,5 @@
 
 function associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$id_comune,$chiusa,$id_conf) {
-	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew;
+	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4;
 	$delcons=0;
 	if ($do !="" and $id_cons_gen>0 and $idcomunenew>0) {
@@ -235,4 +242,5 @@
 			$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
 			$res_del = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns" ,$dbi);
+			if ($pwd4==1){
 			$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
 			$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
@@ -240,5 +248,8 @@
 			$res_del = mysql_query("delete from ".$prefix."_ele_sezioni where id_cons=$idcns" ,$dbi);
 			$res_del = mysql_query("delete from ".$prefix."_ele_cons_comune where id_cons=$idcns" ,$dbi);
+			}else{
+			$res_del = mysql_query("update ".$prefix."_ele_sezioni set validi='0', nulli='0', bianchi='0', contestati='0', solo_gruppo='0', autorizzati_m='0', autorizzati_f='0', voti_nulli='0', validi_lista='0', contestati_lista='0', voti_nulli_lista='0' where id_cons=$idcns" ,$dbi);
 			
+			}
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}
Index: trunk/admin/modules/Elezioni/ele_confcons.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_confcons.php	(revision 85)
+++ trunk/admin/modules/Elezioni/ele_confcons.php	(revision 86)
@@ -83,5 +83,5 @@
 	."<tr><td align=\"center\"><b>"._LIMITE."</b></td><td><select name=\"limite\"><option value=\"0\">"._NOFASCIA;
 		
-		$result1 = mysql_query("select id_fascia, abitanti from ".$prefix."_ele_fasce ", $dbi);
+		$result1 = mysql_query("select id_fascia, abitanti from ".$prefix."_ele_fasce where data_fine='0000-00-00'", $dbi);
 		while(list($id,$descr)=mysql_fetch_row($result1)){
 			$sel= ($id == $gru['limite']) ? "selected":"";
Index: trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 85)
+++ trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 86)
@@ -66,6 +66,8 @@
 	."<td align=\"center\"width=\"5%\"><b>"._NUM."</b></td>"
 	."<td align=\"center\"><b>"._DESCR."</b></td>"
-	."<td align=\"center\"width=\"5%\"><b>"._SIMBOLO."</b></td>"
-	."<td align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
+	."<td align=\"center\"width=\"5%\"><b>"._SIMBOLO."</b></td>";
+	if ($tipo_cons!=2) 
+	echo "<td align=\"center\"width=\"5%\"><b>"._PROGRAM."</b></td>";
+	echo "<td align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
 	//-----------------------visualizza riga superiore per inserimento -
 	$circo= $cons_circ==1 ? "and id_circ='$id_circ'":"";	
@@ -89,6 +91,8 @@
 	."<input type=\"hidden\" name=\"id_gruppo\" value=\"".$gru['id_gruppo']."\">"
 	."<tr><td><input type=\"text\" name=\"num_gruppo\" value=\"$nuovo_gruppo\" size=\"5\"></td>"
-	."<td><input type=\"text\" name=\"descr_gruppo\" size=\"50\" value=\"".$gru['descrizione']."\"></td>";
-	echo "<td><input type=\"file\" name=\"stemma\" size=\"10\"></td>"; //file=$gru[simbolo]
+	."<td><input type=\"text\" name=\"descr_gruppo\" value=\"".$gru['descrizione']."\"></td>";
+	echo "<td><input type=\"file\" name=\"stemma\" size=\"5\"></td>"; //file=$gru[simbolo]
+	if ($tipo_cons!=2) 
+	echo "<td><input type=\"file\" name=\"programma\" size=\"5\"></td>"; 
 	echo "<input type=\"hidden\" name=\"min\" value=\"$min\">";
 	echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">";
@@ -108,5 +112,5 @@
 	$max = mysql_num_rows($res);
 	$result = mysql_query("select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  LIMIT $min,$offset", $dbi);
-	while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo) = mysql_fetch_row($result)) {
+	while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo,,, $prognome) = mysql_fetch_row($result)) {
 		$restemp = mysql_query("select count(0) from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'", $dbi);
 		list($numtemp)=mysql_fetch_row($restemp);
@@ -117,5 +121,8 @@
 		echo "<td align=\"center\"><b>
 		<img  src=\"admin.php?op=foto&amp;id_gruppo=$id_gruppo\" width=\"50\" heigth=\"50\"></b></td>";
-		echo "<td align=\"center\" nowrap>[<a
+		if ($tipo_cons!=2) 
+			echo "<td>$prognome</td>"; 
+		echo "<td align=\"center\" nowrap>";
+		echo "[<a
 		href=\"admin.php?op=gruppo&amp;do=modify&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;min=$min\"><img src=\"modules/Elezioni/images/edit.gif\"
 	 	border=\"0\" align=\"center\"> "._EDIT."</a>]";
@@ -123,5 +130,5 @@
 			echo "[<a href=\"admin.php?op=gruppo&amp;do=delete&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ&amp;descr_gruppo=$descr_gruppo&amp;min=$min\">"._DELETE." <img src=\"modules/Elezioni/images/delete.gif\" border=\"0\" align=\"center\"></a>]";
 		else
-			echo "["._DELETE." <img src=\"modules/Elezioni/images/delete.gif\" border=\"0\" align=\"center\"></a>]";
+			echo " ["._DELETE." <img src=\"modules/Elezioni/images/delete.gif\" border=\"0\" align=\"center\"></a>]";
 		echo "</td></tr>";
     	}
@@ -175,5 +182,4 @@
 				$filestemma=$STEMM['tmp_name'];
 				$nomestemma=$STEMM['name'];
-				$sqlset='';
 				if ($filestemma){
 					$fdstemma = fopen ("$filestemma", "rb");
@@ -183,5 +189,18 @@
 					$stemmanome=addslashes($nomestemma);
 				}
-      				$result = mysql_query("insert into ".$prefix."_ele_gruppo (id_cons,id_gruppo,num_gruppo,descrizione,simbolo,stemma,id_circ) values ('$id_cons','$id_gruppo','$num_gruppo','$descr_gruppo','$stemmanome','$stemmablob','$id_circ')", $dbi);
+
+				$progblob='';
+				$prognome='';
+				$PROG=$_FILES['programma'];
+				$fileprog=$PROG['tmp_name'];
+				$nomeprog=$PROG['name'];
+				if ($fileprog){
+					$fdprog = fopen ("$fileprog", "rb");
+					$progcontents = fread ($fdprog, filesize ("$fileprog"));
+					fclose ($fdprog);
+					$progblob=addslashes($progcontents);
+					$prognome=addslashes($nomeprog );
+				}
+      				$result = mysql_query("insert into ".$prefix."_ele_gruppo (id_cons,id_gruppo,num_gruppo,descrizione,simbolo,stemma,id_circ,prognome,programma) values ('$id_cons','$id_gruppo','$num_gruppo','$descr_gruppo','$stemmanome','$stemmablob','$id_circ','$prognome','$progblob')", $dbi);
            			if (!$result) return;
            			Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
@@ -194,4 +213,20 @@
      			}
    		} elseif ($do == "update") {
+				$progblob='';
+				$prognome='';
+				$PROG=$_FILES['programma'];
+				$fileprog=$PROG['tmp_name'];
+				$nomeprog=$PROG['name'];
+				if ($fileprog){
+					$fdprog = fopen ("$fileprog", "rb");
+					$progcontents = fread ($fdprog, filesize ("$fileprog"));
+					fclose ($fdprog);
+					$progblob=addslashes($progcontents);
+					$prognome=addslashes($nomeprog );
+				$cond=", prognome='$prognome', programma='$progblob'";
+				} else {$cond='';}
+
+
+
 			$stemmablob='';
 			$stemmanome='';
@@ -199,5 +234,4 @@
 			$filestemma=$STEMM['tmp_name'];
 			$nomestemma=$STEMM['name'];
-			$sqlset='';
 			if ($filestemma){
 				$fdstemma = fopen ("$filestemma", "rb");
@@ -206,7 +240,7 @@
 				$stemmablob=addslashes($stemmacontents);
 				$stemmanome=addslashes($nomestemma);
-				$cond=", simbolo='$stemmanome', stemma='$stemmablob'";
-			} else {$cond='';}
-         		$result = mysql_query("update  ".$prefix."_ele_gruppo set num_gruppo='$num_gruppo' , descrizione='$descr_gruppo' $cond where id_gruppo='$id_gruppo' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+				$cond2=", simbolo='$stemmanome', stemma='$stemmablob'";
+			} else {$cond2='';}
+         		$result = mysql_query("update  ".$prefix."_ele_gruppo set num_gruppo='$num_gruppo' , descrizione='$descr_gruppo' $cond $cond2 where id_gruppo='$id_gruppo' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
 			Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
    		}
Index: trunk/admin/modules/Elezioni/language/it/ele_associazioni.html
===================================================================
--- trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 85)
+++ trunk/admin/modules/Elezioni/language/it/ele_associazioni.html	(revision 86)
@@ -14,5 +14,5 @@
 assegnare una tra le modalita' di calcolo predefinite per
 l'assegnazione dei seggi di consiglio secondo il metodo D'Hondt.
-Cliccando sul corrispondente pulsante "Edita", a destra nella linea del comune su cui si vuole intervenire, e' possibile <b>modificare lo stato</b> della consultazione in "Attiva", "Chiusa" o "Nulla" oppure si puo' <b>ELIMINARE</b> la consultazione relativa al singolo comune (click su "Edita" e poi spunta su "Elimina" quindi impostare la combo di "Stato" su "Elimina"). Rimane inalterata l'impostazione generale della consultazione (tipologia, date e orari di rilevazione delle affluenze) e non viene modificato alcun dato relativo ad altri comuni.   
+Cliccando sul corrispondente pulsante "Edita", a destra nella linea del comune su cui si vuole intervenire, e' possibile <b>modificare lo stato</b> della consultazione in "Attiva", "Chiusa" o "Nulla" oppure si puo' <b>ELIMINARE</b> la consultazione relativa al singolo comune (click su "Edita" e poi spunta su "Elimina", appare una seconda checkbox che va spuntata se si vuole eliminare completamente la consultazione, se non viene spuntata si cancellano solo i dati dello spoglio, cioe' affluenze e voti, quindi impostare la combo di "Stato" su "Elimina"). Rimane inalterata l'impostazione generale della consultazione (tipologia, date e orari di rilevazione delle affluenze) e non viene modificato alcun dato relativo ad altri comuni.   
 
 </td>
Index: trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-en.php	(revision 85)
+++ trunk/admin/modules/Elezioni/language/lang-en.php	(revision 86)
@@ -127,4 +127,5 @@
 define("_CIRCS","Constituencies");
 }
+define("_PROGRAM","Program");
 define("_ELIMINA","DELETE");
 define("_SPUNTAELIMINA","Check to enable deletion:");
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 85)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 86)
@@ -148,6 +148,11 @@
 define("_CIRCS","Circoscrizioni");
 }
+define("_PROGRAM","Programma");
 define("_ELIMINA","ELIMINA");
-define("_SPUNTAELIMINA","Metti la spunta per poter eliminare la consultazione:");
+define("_SPUNTAELIMINA","Metti la spunta per abilitare la cancellazione dei dati (solo voti e votanti):");
+define("_DATI","i dati dello spoglio");
+define("_SPUNTALABEL1","Abilita la cancellazione");
+define("_SPUNTALABEL2","Cancella anche candidati e struttura");
+define("_VIASPUNTAELIMINA","Metti la spunta per poter eliminare completamente la consultazione:");
 define("_NOTAOP","L'utente amministratore unico di un comune deve chiamarsi obbligatoriamente admin<br>Si stanno inserendo utenti per il comune di");
 define("_HELP","Help Contestuale");
Index: trunk/aggiornamento-2.0_2011-04-26.sql
===================================================================
--- trunk/aggiornamento-2.0_2011-04-26.sql	(revision 86)
+++ trunk/aggiornamento-2.0_2011-04-26.sql	(revision 86)
@@ -0,0 +1,2 @@
+ALTER TABLE `soraldo_ele_gruppo` ADD `prognome` TEXT NULL ,
+ADD `programma` MEDIUMBLOB NULL;
Index: trunk/client/modules/Elezioni/blocchi/04_sezioni.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 85)
+++ trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 86)
@@ -32,5 +32,5 @@
 		$max = mysql_num_rows($res);
 		if(!isset($html)) $html='';
-		$html = "\n<table  style=\"margin:0px auto;border=0px; width:90%\"><tr>";
+		$html = "\n<table  style=\"margin:0px auto;border:0px; width:90%\"><tr>";
 		
 		$i=0;$id_circ_old=0;$e=0;
Index: trunk/client/modules/Elezioni/foto.php
===================================================================
--- trunk/client/modules/Elezioni/foto.php	(revision 85)
+++ trunk/client/modules/Elezioni/foto.php	(revision 86)
@@ -19,23 +19,24 @@
 if (isset($param['id_comune'])) $id_comune=intval($param['id_comune']); else $id_comune='';
 if (isset($param['prefix'])) $prefix=$param['prefix'];
-
+if (isset($param['pdf'])) $pdf=$param['pdf'];
 
 if ($id_lista){
-	$sql = "select * from ".$prefix."_ele_lista where id_lista=".$id_lista;
+	$sql = "select * from ".$prefix."_ele_lista where id_lista='$id_lista'";
 	$res = mysql_query($sql,$dbi);
 	$dati = mysql_fetch_array($res);
 	$stemma = $dati['stemma'];
 }elseif ($id_gruppo){
-	$sql = "select * from ".$prefix."_ele_gruppo where id_gruppo=".$id_gruppo;
+	$sql = "select * from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
 	$res = mysql_query($sql,$dbi);
 	$dati = mysql_fetch_array($res);
-	$stemma = $dati['stemma'];
+	if(isset($pdf)) $stemma = $dati['programma'];
+	else $stemma = $dati['stemma'];
 }elseif ($id_sede){
-	$sql = "select * from ".$prefix."_ele_sede where id_sede=".$id_sede;
+	$sql = "select * from ".$prefix."_ele_sede where id_sede='$id_sede'";
 	$res = mysql_query($sql,$dbi);
 	$dati = mysql_fetch_array($res);
 	$stemma = $dati['mappa'];
 }elseif ($id_comune){
-	$sql = "select * from ".$prefix."_ele_comuni where id_comune=".$id_comune;
+	$sql = "select * from ".$prefix."_ele_comuni where id_comune='$id_comune'";
 	$res = mysql_query($sql,$dbi);
 	$dati = mysql_fetch_array($res);
@@ -49,4 +50,5 @@
 if ($stemma=="" && is_readable('modules/Elezioni/images/vuoto.jpg')){
 	$stemma =  fread( fopen( 'modules/Elezioni/images/vuoto.jpg', 'r' ), filesize( 'modules/Elezioni/images/vuoto.jpg' ) );}
+if(isset($pdf)) header('Content-type: application/pdf');
 echo $stemma;
 ?>
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 85)
+++ trunk/client/modules/Elezioni/index.php	(revision 86)
@@ -629,6 +629,6 @@
     		}
 #######		
-		$result = mysql_query("select id_cons ,id_gruppo ,num_gruppo, descrizione from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circos ORDER BY num_gruppo  LIMIT $min,$offset", $dbi);
-		while(list($id_cons2,$id_gruppo2,$num_gruppo, $descr_gruppo) = mysql_fetch_row($result)) {
+		$result = mysql_query("select id_cons ,id_gruppo ,num_gruppo, descrizione, prognome from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circos ORDER BY num_gruppo  LIMIT $min,$offset", $dbi);
+		while(list($id_cons2,$id_gruppo2,$num_gruppo, $descr_gruppo,$prognome) = mysql_fetch_row($result)) {
   		   if ($num_gruppo!=0) {
 	           echo "<table  class=\"table-80\">
@@ -710,6 +710,11 @@
 			echo "<tr>
 			<td class=\"bggray\"><h1><b>$num_gruppo</b></h1></td>
-			<td class=\"table-main\"><h1>$descr_gruppo</h1> $var1</td>
-			<td><b><img class=\"stemma\" src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_gruppo=$id_gruppo2\"   alt=\"immagine $descr_gruppo\" /></b></td>";
+			<td class=\"table-main\"><h1>$descr_gruppo</h1> $var1</td>";
+			if($tipo_cons!=2 and $prognome)
+				echo "<td onmouseover=\"this.style.cursor='pointer';\" onclick=\"javascript:window.open('modules.php?name=Elezioni&amp;file=foto&amp;id_gruppo=$id_gruppo2&amp;pdf=1')\">";
+			else echo "<td>";
+			echo "<b><img class=\"stemma\" src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_gruppo=$id_gruppo2\"   alt=\"immagine $descr_gruppo\" /><br>";
+			if($tipo_cons!=2 and $prognome) echo _PROGRAM;
+			echo "</b></td>";
 			echo "</tr>
 			</table>";
Index: trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-en.php	(revision 85)
+++ trunk/client/modules/Elezioni/language/lang-en.php	(revision 86)
@@ -158,4 +158,5 @@
 }
 
+define("_PROGRAM","Electoral<br>Program");
 
 define("_VOTI_RAGGR","Sum of ballots");
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 85)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 86)
@@ -250,4 +250,5 @@
 define("_LISTE","Liste");
 define("_VOTI_RAGGR","Totale voti alle liste");
+define("_PROGRAM","Programma<br>elettorale");
 
 