Index: /trunk/eleonline2.sql
===================================================================
--- /trunk/eleonline2.sql	(revision 92)
+++ /trunk/eleonline2.sql	(revision 93)
@@ -5,14 +5,6 @@
 -- Server version	5.0.19-standard
 
-/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
-/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
-/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
+
 /*!40101 SET NAMES utf8 */;
-/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
-/*!40103 SET TIME_ZONE='+00:00' */;
-/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
-/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
-/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
-/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
 
 --
@@ -411,5 +403,4 @@
   KEY `id_fascia` (`id_fascia`)
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-SET character_set_client = @saved_cs_client;
 
 --
@@ -436,4 +427,6 @@
   `stemma` blob,
   `id_circ` int(11) NOT NULL default '0',
+  `prognome` text,
+  `programma` mediumblob,
   UNIQUE KEY `id_gruppo` (`id_gruppo`),
   UNIQUE KEY `id_cons` (`id_cons`,`num_gruppo`,`id_circ`)
@@ -988,12 +981,3 @@
 /*!40000 ALTER TABLE `soraldo_ele_widget` ENABLE KEYS */;
 
-/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
-
-/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
-/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
-/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
-/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
-/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
-/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
-/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
-
+
Index: /trunk/install/sql/eleonline.sql
===================================================================
--- /trunk/install/sql/eleonline.sql	(revision 92)
+++ /trunk/install/sql/eleonline.sql	(revision 93)
@@ -5,14 +5,5 @@
 -- Server version	5.0.19-standard
 
-/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
-/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
-/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
 /*!40101 SET NAMES utf8 */;
-/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
-/*!40103 SET TIME_ZONE='+00:00' */;
-/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
-/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
-/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
-/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
 
 --
@@ -33,7 +24,7 @@
 
 /*!40000 ALTER TABLE `soraldo_access` DISABLE KEYS */;
-
+LOCK TABLES `soraldo_access` WRITE;
 INSERT INTO `soraldo_access` VALUES (1,'Sospeso'),(16,'Operatore'),(32,'Amministratore'),(64,'Amministratore Unico'),(256,'Superuser');
-
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_access` ENABLE KEYS */;
 
@@ -64,7 +55,7 @@
 
 /*!40000 ALTER TABLE `soraldo_authors` DISABLE KEYS */;
-
+LOCK TABLES `soraldo_authors` WRITE;
 INSERT INTO `soraldo_authors` VALUES ('suser','suser',0,'test@','098f6bcd4621d373cade4e832627b4f6',1,0,0,1,'it');
-
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_authors` ENABLE KEYS */;
 
@@ -108,7 +99,7 @@
 
 /*!40000 ALTER TABLE `soraldo_config` DISABLE KEYS */;
-
+LOCK TABLES `soraldo_config` WRITE;
 INSERT INTO `soraldo_config` VALUES ('','http://www.fonte-nuova.it','','Sito istituzionale','Maggio 2009','admin@localhost','facebook','<b>Comune di Menfi</b><br>\r\nvia  - 84023 Menfi (Ag)\r\nTel:  Fax: \r\n<hr>','it','1','','','','Gpl v3',2,0,84023,'1','1','','','0','1','1','Admin');
-
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_config` ENABLE KEYS */;
 
@@ -131,6 +122,6 @@
 
 /*!40000 ALTER TABLE `soraldo_doc_cons` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_doc_cons` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_doc_cons` ENABLE KEYS */;
 
@@ -160,6 +151,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_candidati` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_candidati` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_candidati` ENABLE KEYS */;
 
@@ -184,6 +175,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_circoscrizione` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_circoscrizione` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_circoscrizione` ENABLE KEYS */;
 
@@ -207,6 +198,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_collegi` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_collegi` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_collegi` ENABLE KEYS */;
 
@@ -232,6 +223,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_come` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_come` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_come` ENABLE KEYS */;
 
@@ -257,6 +248,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_comu_collegi` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_comu_collegi` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_comu_collegi` ENABLE KEYS */;
 
@@ -288,6 +279,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_comuni` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_comuni` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_comuni` ENABLE KEYS */;
 
@@ -319,7 +310,7 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_conf` DISABLE KEYS */;
-
+LOCK TABLES `soraldo_ele_conf` WRITE;
 INSERT INTO `soraldo_ele_conf` VALUES (1,'Legge Italiana 267/2000',3,'1',67,3,60,3,'1','1',40,40),(2,'Regione Sicilia precedente al 2008',2,'0',67,3,60,3,'1','1',40,40),(3,'Regione Sicilia Legge n. 22 del 16/12/2008',2,'0',67,5,60,3,'1','0',40,40);
-
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_conf` ENABLE KEYS */;
 
@@ -346,6 +337,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_cons_comune` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_cons_comune` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_cons_comune` ENABLE KEYS */;
 
@@ -370,6 +361,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_consultazione` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_consultazione` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_consultazione` ENABLE KEYS */;
 
@@ -394,6 +385,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_documenti` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_documenti` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_documenti` ENABLE KEYS */;
 
@@ -409,5 +400,5 @@
   `data_fine` date NOT NULL,
   `seggi` int(4) NOT NULL,
-  PRIMARY KEY  (`id_fascia`)
+  KEY `id_fascia` (`id_fascia`)
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 
@@ -416,10 +407,9 @@
 --
 
-
+LOCK TABLES `soraldo_ele_fasce` WRITE;
 /*!40000 ALTER TABLE `soraldo_ele_fasce` DISABLE KEYS */;
-
-INSERT INTO `soraldo_ele_fasce` VALUES (1,3000,'2000-01-01','0000-00-00',12),(2,10000,'2000-01-01','0000-00-00',16),(3,15000,'2000-01-01','0000-00-00',20),(4,30000,'2000-01-01','0000-00-00',20),(5,100000,'2000-01-01','0000-00-00',30),(6,250000,'2000-01-01','0000-00-00',40),(7,500000,'2000-01-01','0000-00-00',46),(8,1000000,'2000-01-01','0000-00-00',50),(9,100000000,'2000-01-01','0000-00-00',60);
-
+INSERT INTO `soraldo_ele_fasce` VALUES (1,3000,'2000-01-01','2010-12-31',12),(2,10000,'2000-01-01','2010-12-31',16),(3,15000,'2000-01-01','2010-12-31',20),(4,30000,'2000-01-01','2010-12-31',20),(5,100000,'2000-01-01','2010-12-31',30),(6,250000,'2000-01-01','2010-12-31',40),(7,500000,'2000-01-01','2010-12-31',46),(8,1000000,'2000-01-01','2010-12-31',50),(9,100000000,'2000-01-01','2010-12-31',60),(4,30000,'2011-01-01','0000-00-00',16),(1,3000,'2011-01-01','0000-00-00',9),(2,10000,'2011-01-01','0000-00-00',12),(3,15000,'2011-01-01','0000-00-00',16),(5,100000,'2011-01-01','0000-00-00',24),(6,250000,'2011-01-01','0000-00-00',32),(7,500000,'2011-01-01','0000-00-00',36),(8,1000000,'2011-01-01','0000-00-00',40),(9,100000000,'2011-01-01','0000-00-00',48);
 /*!40000 ALTER TABLE `soraldo_ele_fasce` ENABLE KEYS */;
+UNLOCK TABLES;
 
 --
@@ -436,4 +426,6 @@
   `stemma` blob,
   `id_circ` int(11) NOT NULL default '0',
+  `prognome` text,
+  `programma` mediumblob,
   UNIQUE KEY `id_gruppo` (`id_gruppo`),
   UNIQUE KEY `id_cons` (`id_cons`,`num_gruppo`,`id_circ`)
@@ -446,6 +438,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_gruppo` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_gruppo` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_gruppo` ENABLE KEYS */;
 
@@ -471,6 +463,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_link` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_link` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_link` ENABLE KEYS */;
 
@@ -500,6 +492,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_lista` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_lista` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_lista` ENABLE KEYS */;
 
@@ -527,6 +519,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_log` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_log` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_log` ENABLE KEYS */;
 
@@ -549,6 +541,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_modelli` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_modelli` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_modelli` ENABLE KEYS */;
 
@@ -575,6 +567,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_numeri` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_numeri` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_numeri` ENABLE KEYS */;
 
@@ -601,6 +593,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_operatori` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_operatori` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_operatori` ENABLE KEYS */;
 
@@ -621,6 +613,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_province` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_province` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_province` ENABLE KEYS */;
 
@@ -643,6 +635,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_regioni` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_regioni` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_regioni` ENABLE KEYS */;
 
@@ -665,6 +657,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_rilaff` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_rilaff` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_rilaff` ENABLE KEYS */;
 
@@ -696,6 +688,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_sede` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_sede` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_sede` ENABLE KEYS */;
 
@@ -722,6 +714,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_servizi` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_servizi` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_servizi` ENABLE KEYS */;
 
@@ -760,6 +752,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_sezioni` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_sezioni` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_sezioni` ENABLE KEYS */;
 
@@ -779,7 +771,7 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_temi` DISABLE KEYS */;
-
+LOCK TABLES `soraldo_ele_temi` WRITE;
 INSERT INTO `soraldo_ele_temi` VALUES ('default'),('altro'),('blog'),('stylized'),('tour'),('yellowblu'),('facebook');
-
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_temi` ENABLE KEYS */;
 
@@ -807,7 +799,7 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_tipo` DISABLE KEYS */;
-
+LOCK TABLES `soraldo_ele_tipo` WRITE;
 INSERT INTO `soraldo_ele_tipo` VALUES (1,'PROVINCIALI','it',3,'0','0','0','0'),(2,'REFERENDUM','it',0,'0','0','0','0'),(3,'COMUNALI','it',5,'0','0','0','0'),(4,'CIRCOSCRIZIONALI','it',5,'0','0','0','1'),(5,'BALLOTTAGGIO COMUNALI','it',1,'0','0','0','0'),(6,'CAMERA','it',2,'0','0','0','0'),(7,'SENATO','it',2,'0','0','0','0'),(8,'EUROPEE','it',4,'0','0','0','0'),(9,'REGIONALI','it',5,'0','0','0','0'),(10,'SENATO CON GRUPPI','it',5,'1','0','1','0'),(11,'CAMERA CON GRUPPI','it',5,'1','0','1','0'),(12,'PROVINCIALI CON COLLEGI','it',3,'0','0','0','1'),(13,'BALLOTTAGGIO PROVINCIALI','it',1,'0','0','0','0'),(14,'EUROPEE CON COLLEGI','it',4,'0','0','0','1'),(15,'CAMERA CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(16,'SENATO CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(17,'REGIONALI CON COLLEGI','it',5,'0','0','0','1');
-
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_tipo` ENABLE KEYS */;
 
@@ -833,6 +825,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_candidati` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_voti_candidati` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_voti_candidati` ENABLE KEYS */;
 
@@ -858,6 +850,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_gruppo` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_voti_gruppo` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_voti_gruppo` ENABLE KEYS */;
 
@@ -883,6 +875,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_lista` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_voti_lista` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_voti_lista` ENABLE KEYS */;
 
@@ -914,6 +906,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_parziale` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_voti_parziale` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_voti_parziale` ENABLE KEYS */;
 
@@ -944,6 +936,6 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_voti_ref` DISABLE KEYS */;
-
-
+LOCK TABLES `soraldo_ele_voti_ref` WRITE;
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_voti_ref` ENABLE KEYS */;
 
@@ -969,5 +961,5 @@
 
 /*!40000 ALTER TABLE `soraldo_ele_widget` DISABLE KEYS */;
-
+LOCK TABLES `soraldo_ele_widget` WRITE;
 
 INSERT INTO `soraldo_ele_widget` (`id`, `nome_file`, `titolo`, `pos_or`, `pos_ver`, `attivo`) VALUES
@@ -985,14 +977,6 @@
 (12, 'pie_affluenze.php', 'pie_affluenze.php', 1, 0, 0);
 
-
+UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_widget` ENABLE KEYS */;
 
-/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
-
-/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
-/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
-/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
-/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
-/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
-/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
-/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
+