Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 94)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 95)
@@ -225,6 +225,11 @@
 			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf) values ('0','$idcomunenew','$id_cons_gen','$id_conf')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
 			$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi);
+		list($id_cons_comu)=mysql_fetch_row($rescomu);
+			$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$idcomunenew' ", $dbi);
+        		list($id_cons_pred)=mysql_fetch_row($res);
+			if (!$id_cons_pred) 
+				$res = mysql_query("update ".$prefix."_ele_comuni set id_cons='$id_cons_comu' where id_comune='$idcomunenew' ", $dbi);
+
 		}
-		list($id_cons_comu)=mysql_fetch_row($rescomu);
 		if ($do == "update") {
 			if ($idcomunenew>0) $newid=", id_comune = $idcomunenew ";
@@ -235,6 +240,7 @@
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}elseif ($do == "add") {
-			if ($id_collegio)
+			if ($id_collegio){
 				$result = mysql_query("insert into ".$prefix."_ele_comu_collegi (id_collegio,id_cons,id_comune,id_cons_gen) values ('$id_collegio','$id_cons_comu','$idcomunenew','$id_cons_gen')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+				}
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}elseif ($do == "delete" and $delcons>0) {
@@ -251,4 +257,11 @@
 			$res_del = mysql_query("delete from ".$prefix."_ele_sezioni where id_cons=$idcns" ,$dbi);
 			$res_del = mysql_query("delete from ".$prefix."_ele_cons_comune where id_cons=$idcns" ,$dbi);
+			$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
+        		list($id_cons_pred)=mysql_fetch_row($res);
+				if ($idcns==$id_cons_pred) {
+				$res = mysql_query("select id_cons from ".$prefix."_ele_cons_comune where id_comune=$id_comune order by id_cons desc limit 0,1" ,$dbi);
+        			list($id_cons_pred)=mysql_fetch_row($res); 
+				$res = mysql_query("update ".$prefix."_ele_comuni set id_cons='$id_cons_pred' where id_comune='$id_comune' ", $dbi);
+				}
 			}else{
 			$res_del = mysql_query("update ".$prefix."_ele_sezioni set validi='0', nulli='0', bianchi='0', contestati='0', solo_gruppo='0', autorizzati_m='0', autorizzati_f='0', voti_nulli='0', validi_lista='0', contestati_lista='0', voti_nulli_lista='0' where id_cons=$idcns" ,$dbi);
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 94)
+++ trunk/client/modules/Elezioni/menu.php	(revision 95)
@@ -206,5 +206,5 @@
 #inutile	 	if($genere!=4 || $tipo_cons==8)
 	 		echo "<option value=\"graf_gruppo\" ".$temp['graf_gruppo']." >"._GRUPPO."</option>";
-	 		if($genere==5 or $genere==3)
+	 		if(($genere==5 or $genere==3) and $fascia>$limite)
 	 		echo "<option value=\"graf_gruppo&amp;visgralista=1\" ".$temp['graf_lista'].">"._LISTA."</option>";
 		if ($genere>3){
Index: trunk/client/modules/Elezioni/votanti.php
===================================================================
--- trunk/client/modules/Elezioni/votanti.php	(revision 94)
+++ trunk/client/modules/Elezioni/votanti.php	(revision 95)
@@ -61,5 +61,5 @@
 //controllo_finale($id_cons);
 
-global $prefix, $dbi,$id_circ,$lang;
+global $prefix, $dbi,$id_circ,$lang, $fascia, $limite;
 
 include_once("modules/Elezioni/language/lang-$lang.php");
@@ -283,5 +283,5 @@
         }
     }elseif((($genere==5) or ($genere==3))){ //se vi sono raggruppamenti
-	      if($csv!=1){
+	      if($csv!=1 and $fascia>$limite){
 
 		$pag=($pag==0 ? 1:0);
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 94)
+++ trunk/client/temi/facebook/menu.php	(revision 95)
@@ -184,5 +184,5 @@
 #inutile		if($genere!=4 || $tipo_cons==8)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
-if($genere==5 or $genere==3)
+if(($genere==5 or $genere==3) and $fascia>$limite)
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		