Index: trunk/admin/modules/Elezioni/ele.php
===================================================================
--- trunk/admin/modules/Elezioni/ele.php	(revision 95)
+++ trunk/admin/modules/Elezioni/ele.php	(revision 96)
@@ -77,5 +77,5 @@
 function ele() {
 
-	global $espandi, $aid, $bgcolor1, $bgcolor2,$bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons, $id_cons_gen,$tipo_cons,$genere,$op,$id_comune,$perms,$id_cons,$votog,$votol,$votoc,$votocirc,$tema;
+	global $espandi, $aid, $bgcolor1, $bgcolor2,$bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons, $id_cons_gen,$tipo_cons,$genere,$op,$id_comune,$perms,$id_cons,$votog,$votol,$votoc,$votocirc,$tema,$fascia;
 	
 	include ("header.php");
Index: trunk/admin/modules/Elezioni/ele_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_comuni.php	(revision 95)
+++ trunk/admin/modules/Elezioni/ele_comuni.php	(revision 96)
@@ -30,5 +30,5 @@
 if (isset($param['min'])) $min=intval($param['min']); else $min='';
 if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
-if (isset($param['fascia'])) $fascia=intval($param['fascia']); else $fascia=0;
+if (isset($param['fascia'])) $fasciatmp=intval($param['fascia']); else $fasciatmp=0;
 if (isset($param['prov'])) $prov=intval($param['prov']); else $prov=0;
 if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
@@ -56,5 +56,5 @@
 	//crea la pagina delle affluenze
 function all() {
-	global $bgcolor1, $bgcolor2, $prefix, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$email,$fascia,$prov,$id_comune2,$id_cons_gen,$cerca;
+	global $bgcolor1, $bgcolor2, $prefix, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$id_comune2,$id_cons_gen,$cerca;
  
 	echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n";
@@ -89,5 +89,5 @@
 	echo "</tr>";
 	$sel[1]='';$sel[2]='';$sel[3]='';$sel[4]='';$sel[5]='';$sel[6]='';$sel[7]='';$sel[8]='';$sel[9]='';
-	$sel[$fascia]='selected';
+	$sel[$fasciatmp]='selected';
 	if($prov==1) $selpv='selected'; else $selpv='';
 	echo "<tr><td bgcolor=\"$bgcolor1\"><b>"._PROV."</b></td><td><select name=\"prov\"> <option value=\"0\">No<option value=\"1\" $selpv>Si</select></td>";
@@ -131,5 +131,5 @@
 
 ####
-	while (list($id_comune2,$desc,$indirizzo,$centralino,$fax,$email,$fascia,$prov,$simbolo) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	while (list($id_comune2,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$simbolo) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		if (!$simbolo) $simbolo="nulla.jpg";
@@ -150,5 +150,5 @@
 		echo "<td><b>$fax</b></td>";
 		echo "<td><b>".substr($email,0,15)."...</b></td>";
-		switch ($fascia) {
+		switch ($fasciatmp) {
 			case '0': $valfascia="-"; break;
 			case '1': $valfascia="< 3.000"; break;
@@ -165,5 +165,5 @@
 		echo "<input type=\"hidden\" name=\"ok\" value=0>";
 		echo "</td><td nowrap>[<a
-		href=\"admin.php?op=inscomuni&amp;desc=$desc&amp;id_comune2=$id_comune2&amp;indirizzo=$indirizzo&amp;centralino=$centralino&amp;fax=$fax&amp;email=$email&amp;fascia=$fascia&amp;prov=$prov&amp;id_cons_gen=$id_cons_gen\"><img  align=\"center\" src=\"modules/Elezioni/images/edit.gif\"
+		href=\"admin.php?op=inscomuni&amp;desc=$desc&amp;id_comune2=$id_comune2&amp;indirizzo=$indirizzo&amp;centralino=$centralino&amp;fax=$fax&amp;email=$email&amp;fascia=$fasciatmp&amp;prov=$prov&amp;id_cons_gen=$id_cons_gen\"><img  align=\"center\" src=\"modules/Elezioni/images/edit.gif\"
                 border=\"0\"> "._EDIT."</a>]";
 		echo "</tr></form>";
@@ -174,5 +174,5 @@
 	}
 
-function comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune,$fascia,$prov,$simbolo) {
+function comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune,$fasciatmp,$prov,$simbolo) {
 		global $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons, $id_cons_gen,$genere;
 /*      			if ($do == "delete") {
@@ -203,5 +203,5 @@
 					$stemmanome=addslashes($nomestemma);
 				}
-      			$result = mysql_query("insert into ".$prefix."_ele_comuni (id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,stemma) values ('$id_comune','$desc','$indirizzo','$centralino','$fax','$email','$fascia','$prov','$stemmanome','$stemmablob')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+      			$result = mysql_query("insert into ".$prefix."_ele_comuni (id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,stemma) values ('$id_comune','$desc','$indirizzo','$centralino','$fax','$email','$fasciatmp','$prov','$stemmanome','$stemmablob')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
            		Header("Location: admin.php?op=inscomuni&id_cons_gen=$id_cons_gen");
      		} else {
@@ -226,5 +226,5 @@
 				$cond=", simbolo='$stemmanome', stemma='$stemmablob'";
 			} else {$cond='';$stemmanome=''; $stemmablob='';}
-        	$result = mysql_query("update  ".$prefix."_ele_comuni set descrizione='$desc' , indirizzo='$indirizzo', centralino='$centralino', fax='$fax', email='$email', fascia='$fascia',capoluogo='$prov' $cond where id_comune='$id_comune'", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+        	$result = mysql_query("update  ".$prefix."_ele_comuni set descrizione='$desc' , indirizzo='$indirizzo', centralino='$centralino', fax='$fax', email='$email', fascia='$fasciatmp',capoluogo='$prov' $cond where id_comune='$id_comune'", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
            	Header("Location: admin.php?op=inscomuni&id_cons_gen=$id_cons_gen");
    	}
@@ -234,5 +234,5 @@
 
 if ($do)
-	comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune2,$fascia,$prov,$simbolo);
+	comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune2,$fasciatmp,$prov,$simbolo);
 ele();
 all();