Index: trunk/client/modules/Elezioni/confronti.php
===================================================================
--- trunk/client/modules/Elezioni/confronti.php	(revision 97)
+++ trunk/client/modules/Elezioni/confronti.php	(revision 98)
@@ -39,4 +39,5 @@
 global $param,$id_cons_gen, $dbi, $prefix, $id_comune;
 $_SESSION['confr']=array();
+$_SESSION['grulis']=array();
 $_SESSION['grp1']=array();
 $_SESSION['grp2']=array();
@@ -99,5 +100,6 @@
 //visualizza le liste per consultazione e permette di associarle ai gruppi
 function scegliliste(){
-	global $bgcolor1,$bgcolor2,$param,$id_cons_gen, $dbi, $prefix, $id_comune, $pag, $pags,$id_cons,$grp1,$grp2,$grp3;
+	global $bgcolor1,$bgcolor2,$param,$id_cons_gen, $dbi, $prefix, $id_comune, $pag, $pags,$id_cons,$grp1,$grp2,$grp3,$fascia;
+	$limite=0;
 	// ipotesi di campi vuoti
 	if(!$grp1 && !$grp2 && !$grp3){echo "<span class=\"red\">Metti il nome di almeno un gruppo oppure il check al raffronto totale</span>"; include("footer.php"); exit;}
@@ -114,5 +116,5 @@
 		$y=1;
 		while (isset($param['cons'.$x])) {
-			if($param[('check'.$x)]) 
+			if(isset($param[('check'.$x)]) and $param[('check'.$x)]) 
 				
 				{
@@ -146,8 +148,17 @@
 	if($pag>=$pags) return(1); //in $pags il numero delle consultazioni
 	$id_cons2=$_SESSION['confr'][$pag];
-	$res_lis = mysql_query("SELECT t1.descrizione from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons='$id_cons2'",$dbi);
-	list($descr)=mysql_fetch_row($res_lis);
-#	$res_lis = mysql_query("SELECT t1.id_lista,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons2' order by t2.num_gruppo",$dbi);
+	$res_lis = mysql_query("SELECT t1.descrizione,t1.tipo_cons,t2.id_conf from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons='$id_cons2'",$dbi);
+	list($descr,$tipoc,$legge)=mysql_fetch_row($res_lis);
+	if($legge){
+		$res_l=mysql_query("SELECT limite from  ".$prefix."_ele_conf where id_conf='$legge'",$dbi);
+		list($limite)=mysql_fetch_row($res_l);
+	}
+if($tipoc==3 and $fascia<=$limite){
+	$_SESSION['grulis'][$id_cons2]='1';
+	$res_lis = mysql_query("SELECT t2.id_gruppo,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo",$dbi);
+}else{
 	$res_lis = mysql_query("SELECT t1.id_lista,t1.descrizione,t2.descrizione from ".$prefix."_ele_lista as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons2' order by t2.num_gruppo",$dbi);
+	$_SESSION['grulis'][$id_cons2]='0';
+	}
 	$yy=mysql_num_rows($res_lis);
 	if ($yy){
@@ -191,5 +202,8 @@
 	$res= mysql_query("SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$x'",$dbi);
 	list($elet)=mysql_fetch_row($res);
-	$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$x'",$dbi);
+	if($_SESSION['grulis'][$x]=='1')
+		$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$x'",$dbi);
+	else
+		$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$x'",$dbi);
 	list($tot[$y])=mysql_fetch_row($res);
 	$res = mysql_query("SELECT t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.id_cons='$x'", $dbi);
@@ -324,16 +338,26 @@
 		$ar2[$x]=0;
 		$ar3[$x]=0;
+		$id_cons2=$_SESSION['confr'][$x];
 		foreach ($_SESSION['grp1'][$x] as $key=>$val){
-			$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
+			if($_SESSION['grulis'][$id_cons2]=='1')
+				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+			else
+				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
 			list($voti)=mysql_fetch_row($res);
 			$ar1[$x]+=$voti;
 		}
 		foreach ($_SESSION['grp2'][$x] as $key=>$val){
-			$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
+			if($_SESSION['grulis'][$id_cons2]=='1')
+				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+			else
+				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
 			list($voti)=mysql_fetch_row($res);
 			$ar2[$x]+=$voti;
 		}
 		foreach ($_SESSION['grp3'][$x] as $key=>$val){
-			$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
+			if($_SESSION['grulis'][$id_cons2]=='1')
+				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_gruppo='$val'",$dbi);
+			else
+				$res= mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$val'",$dbi);
 			list($voti)=mysql_fetch_row($res);
 			$ar3[$x]+=$voti;