Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 99)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 100)
@@ -417,5 +417,5 @@
 
 #$res_val = mysql_query("SELECT sum(validi_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi); 
-$res_val = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'",$dbi); 
+$res_val = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'",$dbi); 
 list($validi) = mysql_fetch_row($res_val);
 
@@ -435,5 +435,5 @@
     $lists[$num_lista]=$voti;
     $groups[($num_gruppo)]+=$voti;
-  }else $validi-=$voti;
+  }else $validi-=$voti; //maggio 2011: verificare questa sottrazione, non mi convince
 }    
 $descrsind=$desgruppi[$gruppo];
@@ -465,21 +465,5 @@
     		 $groups[$gruppo]+=$lists[$lst];
     	}
- ////da qui    	
-
-    foreach ($collperd as $lst) 
-    	if (isset($lists[$lst])){
-    		$oldlstgrp[$lst]=$listagruppo[$lst];
-    		 $listagruppo[$lst]=$gruppoperd;
-    		 $oldlists[$lst]=$lists[$lst];
-    		 $groups[$gruppoperd]+=$lists[$lst];
-    		 $groups[$oldlstgrp[$lst]]-=$lists[$lst];
-    	}   
-
-////a qui va tolto se non vanno sommati i voti delle liste collegate al secondo turno con quelli del gruppo che perde il ballottaggio, se non si collegano viene favorita l'elezione del candidato sindaco con cui era collegata al primo turno mentre se si collegano viene favorito il principio di aggregazione. Per ora i perdenti sono considerati con la situazione al primo turno. Implementiamo cosï¿œ: il 50% deve essere superato dalla minoranza nel primo turno, quindo senza somma dei voti delle liste aggiunte nel secondo turno - la suddivisione dei seggi viene fatta considerando i collegamenti al secondo turno, le liste collegate partecipano alla suddivisione dei seggi con questo gruppo quindi si confronta con le liste del gruppo in cui era al primo turno e valutando i coefficienti si stabilisce quale lista cede il seggio al candidato sindaco non acceduto al ballottaggio.
-
-#controlla se la percentuale del gruppo vincente e' tra il 40 e il 60% o il sindaco e' eletto al secondo turno
-#e se nessun altro gruppo ha superato il 50% assegna il premio di maggioranza
-#e se nessun altro gruppo ha superato il 50% e nessuno ha ottenuto piu' del 60% dei seggi, assegna il premio di maggioranza
-
+ ////maggio 2011: da qui    	
 $consmin=$numcons;
 $gruppomin=calcoloseggi($groups,$consmin,0);
@@ -493,4 +477,23 @@
 
 $candidati=array();
+//maggio 2011: a qui viene spostato in modo da aggiungere i voti di lista delle collegate per il perdente solo dopo aver controllato se supera il 50%, in questo modo si evita che il collegamento tra perdenti faccia decadere il premio di maggioranza se solo insieme superano il 50% 
+//maggio 2011: da qui
+if(!isset($groups[$gruppoperd])) $groups[$gruppoperd]=0;
+    foreach ($collperd as $lst) 
+    	if (isset($lists[$lst])){
+    		$oldlstgrp[$lst]=$listagruppo[$lst];
+    		 $listagruppo[$lst]=$gruppoperd;
+    		 $oldlists[$lst]=$lists[$lst];
+    		 $groups[$gruppoperd]+=$lists[$lst];
+    		 $groups[$oldlstgrp[$lst]]-=$lists[$lst];
+    	}   
+
+////maggio 2011: a qui (mettendolo dopo Ãš come se l'avessi tolto ma possono esserci altre implicazioni visto che si modificano le percentuali del gruppo, cosÃ¬ per ora non lo tolgo) va tolto se non vanno sommati i voti delle liste collegate al secondo turno con quelli del gruppo che perde il ballottaggio, se non si collegano viene favorita l'elezione del candidato sindaco con cui era collegata al primo turno mentre se si collegano viene favorito il principio di aggregazione. Per ora i perdenti sono considerati con la situazione al primo turno. Implementiamo cosï¿œ: il 50% deve essere superato dalla minoranza nel primo turno, quindo senza somma dei voti delle liste aggiunte nel secondo turno - la suddivisione dei seggi viene fatta considerando i collegamenti al secondo turno, le liste collegate partecipano alla suddivisione dei seggi con questo gruppo quindi si confronta con le liste del gruppo in cui era al primo turno e valutando i coefficienti si stabilisce quale lista cede il seggio al candidato sindaco non acceduto al ballottaggio.
+
+#controlla se la percentuale del gruppo vincente e' tra il 40 e il 60% o il sindaco e' eletto al secondo turno
+#e se nessun altro gruppo ha superato il 50% assegna il premio di maggioranza
+#e se nessun altro gruppo ha superato il 50% e nessuno ha ottenuto piu' del 60% dei seggi, assegna il premio di maggioranza
+
+
 if ($premio) {
     $sindaco[$gruppo]=$groups[$gruppo]; $groups[$gruppo]=0;
@@ -598,5 +601,5 @@
 			foreach($oldlists as $lst=>$vot)
 			{		
-				if ($oldlstgrp[$lst]!= $key or $oldseggi[$lst]==0) continue;
+				if ($oldlstgrp[$lst]!= $key or !isset($oldseggi[$lst]) or $oldseggi[$lst]==0) continue;
 				if($ultimo=='') $ultimo=$lst;	
 				if($quozienti[$ultimo][($val-1)]==$last[$lst]) 
@@ -634,5 +637,5 @@
 	{
 		$tt[$lista]=(count($conselb)-1);
-		$last[$lista]=$quozienti[$lista][($z-1)];
+		if($z) $last[$lista]=$quozienti[$lista][($z-1)]; else $last[$lista]=0;
 		
 	} 