Index: trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 97)
+++ trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 101)
@@ -171,4 +171,15 @@
 				echo "[ <a href=\"admin.php?op=gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ\">"._NO."</a> ] - [<a href=\"admin.php?op=gruppo&amp;do=delete&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;min=$min&amp;ok=1\">"._YES."</a> ]";exit;
      			}else{
+				$reslis = mysql_query("select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'", $dbi);
+				while (list($idlst)=mysql_fetch_row($reslis)){
+				$rescan = mysql_query("select id_cand from ".$prefix."_ele_candidato where id_lista='$idlst'", $dbi);
+				while (list($idcnd)=mysql_fetch_row($rescan)){
+					mysql_query("delete from  ".$prefix."_ele_voti_candidati where id_cand='$idcnd'");
+					mysql_query("delete from  ".$prefix."_ele_candidati where id_cand='$idcnd'");
+				}
+				mysql_query("delete from  ".$prefix."_ele_voti_lista where id_lista='$idlst'");
+				mysql_query("delete from  ".$prefix."_ele_lista where id_lista='$idlst'");
+				}
+				$result = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_gruppo='$id_gruppo'", $dbi);
 				$result = mysql_query("delete from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
           			if (!$result) return;
Index: trunk/admin/modules/Elezioni/importa (copia).php
===================================================================
--- trunk/admin/modules/Elezioni/importa (copia).php	(revision 97)
+++ 	(revision )
@@ -1,202 +1,0 @@
-<?php
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Roberto Gigli & Luciano Apolito                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-/* Modulo Inserimento dati                                              */
-/* Amministrazione                                                      */
-/************************************************************************/
-
-if (!defined('ADMIN_FILE')) {
-    die ("You can't access this file directly...");
-}
-$perms=ChiSei(0);
-if ($perms<32) die("Non hai i permessi per effettuare questa operazione!");
-
-$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
-$id_cons_gen=intval($param['id_cons_gen']);
-if (isset($param['datafile'])) get_magic_quotes_gpc() ? $datafile=$param['datafile']:$datafile=addslashes($param['datafile']); else $datafile='';
-include("modules/Elezioni/ele.php");
-ele();
-$res = mysql_query("SELECT t1.id_cons, t2.descrizione FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_consultazione as t2 on t1.id_cons_gen=t2.id_cons_gen where t1.id_comune='$id_comune' " , $dbi);
-list($id_cons,$descrizione) = mysql_fetch_row($res);
- if (!is_uploaded_file($_FILES['datafile']['tmp_name'])) 
-	{
-	echo "<form name=\"importa\" enctype=\"multipart/form-data\" method=\"post\" action=\"admin.php\" >"
-	."<input type=\"hidden\" name=\"op\" value=\"importa\">";
-	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
-	echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">";
-	echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"1\"><tr class=\"bggray\"><td colspan=\"2\" align=\"center\">"._SEL_DATA_FILE2."</td></tr><tr><td><input name=\"datafile\" type=\"file\"></td>";
-	echo "<td align=\"center\"><input type=\"submit\" name=\"add\" value=\""._OK."\"></td></tr></table></form>";
-////////////////////////////
-}else{$datafile=$_FILES['datafile']['tmp_name'];
-$arrFile = file($datafile);
-$handle = fopen($datafile, "r");
-$test=array();
-$errore=0;
-
-// Set counters
-    $currentLine = 0;
-    $cntFile = count($arrFile);
-//    $res_comune = mysql_query("delete from ".$prefix."_ele_lista where id_cons='10'" ,$dbi); if(!$res_comune) echo "delete ".$prefix."_ele_lista where id_cons='10'--- errore di cancellazione".mysql_error();
-// Write contents, inserting $item as first item
-$tabs=array($prefix."_ele_gruppo",$prefix."_ele_lista",$prefix."_ele_candidati");
-$x=0;$k=0;
-$scarto=0;
-$conta=array();
-/*    while( $currentLine <= $cntFile ){
-	$appo=substr($arrFile[$currentLine],1,-2);
-	$conta[$x]=0;
-	$conf=$tabs[$x];
-#	die(substr($arrFile[$currentLine],1,-2)."==$conf and $currentLine <= $cntFile");
-if($k==0) {while (substr($arrFile[$currentLine],1,-2)!=$conf and $currentLine <= $cntFile) $currentLine++; $k++;}
-	if ($appo==$conf){
-		$currentLine++;
-		while($currentLine <= $cntFile ){
-			$appo=substr($arrFile[$currentLine],1,-2);
-			if ($appo==$tabs[($x+1)]){ $x++; break;}
-			$conta[$x]++;
-			$currentLine++;
-		}
-	}else {$scarto++;$currentLine++;} 
-	}
-#if ($scarto==0){    */
-   $currentLine = 0;
-	$x=0;$k=0;
-	$y=0;
-$ar_gruppo=array(array());
-$ar_lista=array(array());
-$ar_candi=array(array());
-#    while( $currentLine  <= $cntFile ){
-		$z=0;
-		$tab=substr($arrFile[$currentLine],1,-2);
-		$conf=$tabs[$x];
-if($k==0) {while (substr($arrFile[$currentLine],1,-2)!=$conf and $currentLine <= $cntFile) $currentLine++; $k++;}
-#		die("qui arriva $currentLine  <= $cntFile  $conf=".$tabs[$x]);
-#		if ($tab==$conf){
-			$currentLine++;
-			while($currentLine <= $cntFile ){
-				$appo=substr($arrFile[$currentLine],1,-2);
-#				if ($appo==$prefix."_ele_circoscrizione"){ break;}
-				if ($appo==$tabs[($x+1)]){ $x++;$conf=$tabs[$x];$currentLine++; continue;}
-				$test=explode(':',$arrFile[$currentLine]); if(!is_array($test)) {die("errore di import<br>");}
-#				$valori='';
-				foreach($test as $key=>$val) #echo "$key : $campo ($conf==$prefix._ele_gruppo)"; die();
-						if ($conf==$prefix."_ele_gruppo")
-							$ar_gruppo[$z][$key]=addslashes(base64_decode($val));
-						elseif ($conf==$prefix."_ele_lista"){
-							$ar_lista[$z][$key]=addslashes(base64_decode($val));}
-						elseif ($conf==$prefix."_ele_candidati")
-							$ar_candi[$z][$key]=addslashes(base64_decode($val));
-						elseif ($appo==$prefix."_ele_circoscrizione")
-							{$fine=0;break;}
-			$currentLine++;
-				$z++;
-			}
-#		}
-
-#	}
-#} else $errore=1;
-fclose($handle);
-$idcns=$id_cons; #$ar_gruppo[0][0];
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_gruppo where id_cons=$idcns" ,$dbi);
-#unset($valori);
-$sigruppo=count($ar_gruppo);die("sigru:$sigruppo");
-foreach ($ar_gruppo as $rigagruppo){
-	$newidg=0;
-	$oldidg=0;
-	foreach($rigagruppo as $key=>$campo){
-		if ($key==0) $valori="'$idcns',";
-		elseif ($key==1) {$valori.= "null"; $oldidg=$campo;}
-		elseif ($key==6) $valori.= ",0";
-		else $valori.= ",'$campo'";
-		if ($key==2) $numgruppo= $campo;
-	} 
-	if(isset($valori)){
-	$res_gruppo = mysql_query("insert into ".$prefix."_ele_gruppo values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i gruppi nel database! contattare l'amministratore".mysql_error());
-	$resnew = mysql_query("select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'" ,$dbi);
-	list ($newidg) = mysql_fetch_row($resnew);
-	unset($valori);
-	foreach ($ar_lista as $rigalista){
-		$oldidl=0;
-		foreach($rigalista as $key=>$campo){
-			if ($key==0) $valori="'$idcns',";
-			elseif ($key==1) {$valori.= "null";$oldidl=$campo;}
-			elseif ($key==3) {$valori.= ",'$newidg'"; if ($campo!=$oldidg) $okl=1;}
-			elseif ($key==4) $valori.= ",0"; 
-			else $valori.= ",'$campo'";
-			if ($key==2) $numlista= $campo;
-		}
-		if(isset($valori)){
-		if ($okl) {$okl=0;continue;}
-		$res_lista = mysql_query("insert into ".$prefix."_ele_lista values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire le liste nel database! contattare l'amministratore".mysql_error());
-		$reslnew = mysql_query("select id_lista from ".$prefix."_ele_lista where num_lista='$numlista' and id_cons='$idcns'" ,$dbi);
-		list ($newidl) = mysql_fetch_row($reslnew);
-		unset($valori);
-		foreach ($ar_candi as $rigacandi){
-			foreach($rigacandi as $key=>$campo){if (count($rigacandi)!=8) {unset($valori);continue;}
-				if ($key==0) $valori= "null,";
-				elseif ($key==1) $valori.="'$idcns',";
-				elseif ($key==2) {$valori.= "'$newidl'"; if ($campo!=$oldidl) $okc=1;}
-				else $valori.= ",'$campo'";
-			}
-			if(isset($valori)){
-				if ($okc) {$okc=0;continue;}
-				$res_lista = mysql_query("insert into ".$prefix."_ele_candidati values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i candidati nel database! contattare l'amministratore".mysql_error());
-			}
-		}
-		}
-	}
-	}
-}	
-
-/*
-foreach ($ar_gruppo as $rigagruppo){
-	foreach($rigagruppo as $key=>$campo) {
-		if ($key==0) echo "$valori=\"'$idcns',";
-		elseif ($key==1) $valori.= "null";
-		else $valori.= ",'$campo'";
-		if ($key==2) $numgruppo= $campo;
-#
-}	
-		die("$res_gruppo = mysql_query(\"insert into ".$prefix."_ele_gruppo values($valori)\" ,$dbi");
-		$resnew = mysql_query("select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'" ,$dbi);
-		list ($newidg) = mysql_fetch_row($resnew);
-*/
-########continuare da qui 
-#}
-
-Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen");
-
-}
-
-if (isset($errore))
-	if ($errore) die( _MEX_IMPORT_FAILED);
-	else  echo _MEX_IMPORT_OK;
-echo"</td></tr></table>";
-include("footer.php");
-#						$valori.= ",'".addslashes(base64_decode($val))."'";
-#					}
-				
-#				$res_comune = mysql_query("insert into $tab values($valori)" ,$dbi);	
-/*					if($key==0){
-#
-						$valori.= "'".base64_decode($val)."'";
-						if ($y==0) {$idcns=$valori;$y++;
-						foreach($tabs as $tbs){
-							$res_del = mysql_query("delete from $tbs where id_cons=$idcns" ,$dbi);
-							}
-						$ar_da[$z][$key]=
-						}
-						if(!$res_del) die ("delete $tbs where id_cons=$idcns--- errore di cancellazione").mysql_error();
-					}else{
-#se gruppo
-*/
-?>