Index: trunk/client/modules/Elezioni/crea_pagina.php
===================================================================
--- trunk/client/modules/Elezioni/crea_pagina.php	(revision 103)
+++ trunk/client/modules/Elezioni/crea_pagina.php	(revision 104)
@@ -15,19 +15,25 @@
     die ("You can't access this file directly...");
 }
-
+global $name;
 
 function crea_tabella($ar) {
 
 
-global $prefix,$dbi,$pdf,$csv,$xls,$lang,$descr_cons,$prefix,$dbi,$id_comune,$descrizione,$siteistat,$pagina,$min,$offset,$minsez,$offsetsez,$datipdf;
+global $prefix,$dbi,$pdf,$csv,$xls,$lang,$descr_cons,$prefix,$dbi,$id_comune,$descrizione,$siteistat,$min,$offset,$minsez,$offsetsez,$datipdf;
 $res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
 	list($descr_com) = mysql_fetch_row($res);
 
+
+
+
+
+
 $datipdf=stripslashes($datipdf);
+
 $data=date("d-m-y G:i");
 
 if ($xls==1) {
-	
-	$nomefile="export.xls";
+	$nomefile=strip_tags(str_replace(" ", "_", $datipdf).".xls");
+
 	header ("Content-Type: application/vnd.ms-excel");
 	header ("Content-Disposition: inline; filename=$nomefile");
@@ -38,4 +44,5 @@
 			$cella=str_replace("</b>"," ",$cella);
 			$cella=str_replace("<br />"," ",$cella);
+			
 
 echo "$datipdf";
@@ -56,7 +63,9 @@
 			$cella=str_replace("<b>"," ",$cella);
 			$cella=str_replace("</b>"," ",$cella);
+			$cella=str_replace("<br>"," ",$cella);
 			$cella=str_replace("<br />"," ",$cella);
 			$cella=str_replace("<span class=\"red\"><i>"," - ",$cella);
 			$cella=str_replace("</span>%</i>","%",$cella);
+			$cella=str_replace("</i></span>","",$cella);
 			$cella=str_replace("_CIRCOS","Circoscrizione ",$cella);
 			$cella=str_replace("_SEZIONI","Sezione ",$cella);
@@ -73,5 +82,5 @@
 
 	    echo"\n\n\nPowered by Eleonline http://www.eleonline.it \t \n";	
-	    echo"by l.apolito & r.gigli - stampato: $data \t \n";
+	    echo"by luciano apolito & roberto gigli - stampato: $data \t \n";
 	    die();
 
@@ -137,5 +146,5 @@
 		if ($pdf!="1" && $csv=="1"){
 		      $html .="<br/><span class=\"copy\"><i>Stampato: $data</i></span>";
-		      $html .="<br/><span class=\"copy\"><i>Eleonline by l. apolito & r. gigli - www.eleonline.it</i></span>";
+		      $html .="<br/><span class=\"copy\"><i>Eleonline by luciano apolito & roberto gigli - www.eleonline.it</i></span>";
 		      $html .="</td></tr></table>";
 		}
@@ -148,123 +157,106 @@
 	        }else{
 
-	      #pdf
-	      /*
-	      require('inc/pdf/html2fpdf.php');
-	      //Istanzio la classe
-	      $fpdf=new HTML2FPDF('L','mm','A4');
-
-	      //Creo la pagina
-	      $fpdf->AddPage();
-
-	      //Per leggere il file html usare fread
-	      $content = "<b>Testo in neretto</b>";
-	      $fpdf->Image('modules/Elezioni/images/logo.jpg',10,10,10,0,'','http://www.eleonline.it');
-	      //Scrivo l'html nel file pdf
-	      $fpdf->WriteHTML($html);
-	      //Scrivo il file sample.pdf
-	      $fpdf->Output();
-
-	      //include("modules/Elezioni/printpdf.php");
-	      //PrintPage($html);
-	      */
-$style ="     
-<style type=\"text/css\">
-<!--
-.table-docs {
-	font-size: 10px;
-	padding: 1px;
-	color: #000000;
-	/* margin: 4px 4px 40px;*/
-	border: solid  #666666;
-	text-align:center;
-}
-.bggray 	{
-	background: #d2d2d2; 
-	FONT-SIZE: 13px; 
-	FONT-FAMILY: Helvetica;
-	border: 1px;
-}
-
-.bggray2 	{
-	background: #EFEFEF; 
-	FONT-SIZE: 13px; 
-	FONT-FAMILY: Helvetica;
-	border: 1px;
-	}
-
-bggray3 	{
-	background: #EFEFEF; 
-	FONT-SIZE: 10px; 
-	FONT-FAMILY:  Helvetica;
-	text-align: left
-	}
-
-.bgw	{
-	background: #ffffff; 
-	FONT-SIZE: 13px; 
-	FONT-FAMILY: Helvetica;
-	border: 1px;
-	
-}
-.td-130 {
-	float: right;
-	margin: 0px 0 0 1px;
-	width: 130px;	
-	border: none;
-	background-color: #d2d2d2;
-	padding: 0px;
-	
-}
-.td-130c {
-	float: right;
-	text-align:left;
-	margin: 0px 0 0 1px;
-	width: 130px;	
-	border: none;
-	padding: 0px;
-}		
-
-td {
-    border: .2px;
-}
-.red 	{
-	BACKGROUND: none; 
-	COLOR: #ff0000; 
-	FONT-SIZE: 12px; 
-	FONT-FAMILY:  Helvetica
-}
-.copy 	{
-	background: #d2d2d2; 
-	FONT-SIZE: 8px; 
-	FONT-FAMILY: Helvetica;
-	border: 1px;
-}
-.cen {
-margin: 10px auto 0 auto; 
-}
--->
-</style>";
-
-
-
-
-
-
-
-	$style .="<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0><img src=\"modules/Elezioni/images/logo.gif\" align=\"left\" /></td> ";	
-	
-	$style .= "<td border=0>$datipdf</td></tr></table><br/><br/>";
-	$style .=$html;
-        $style .= "<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0>";
-
-	$data=date("d-m-y G:i");
-	$style .="<br/><span class=\"copy\"><i>Stampato il $data</i></span>";
-	$style .="<br/><span class=\"copy\"><i>Eleonline by lucianoapolito & roberto gigli - www.eleonline.it</i></span>";
-	$style .="</td></tr></table>";
-	// conversion HTML => PDF
-	require_once('inc/hpdf/html2pdf.class.php');
-	$html2pdf = new HTML2PDF('L','A4', 'it');
-	$html2pdf->WriteHTML($style, isset($_GET['vuehtml']));
-	$html2pdf->Output();
+		$style ="     
+		<style type=\"text/css\">
+		<!--
+		.table-docs {
+			font-size: 10px;
+			padding: 1px;
+			color: #000000;
+			/* margin: 4px 4px 40px;*/
+			border: solid  #666666;
+			text-align:center;
+		}
+		.bggray 	{
+			background: #d2d2d2; 
+			FONT-SIZE: 13px; 
+			FONT-FAMILY: Helvetica;
+			border: 1px;
+		}
+
+		.bggray2 	{
+			background: #EFEFEF; 
+			FONT-SIZE: 13px; 
+			FONT-FAMILY: Helvetica;
+			border: 1px;
+			}
+
+		bggray3 	{
+			background: #EFEFEF; 
+			FONT-SIZE: 10px; 
+			FONT-FAMILY:  Helvetica;
+			text-align: left
+			}
+
+		.bgw	{
+			background: #ffffff; 
+			FONT-SIZE: 13px; 
+			FONT-FAMILY: Helvetica;
+			border: 1px;
+	
+		}
+		.td-130 {
+			float: right;
+			margin: 0px 0 0 1px;
+			width: 130px;	
+			border: none;
+			background-color: #d2d2d2;
+			padding: 0px;
+	
+		}
+		.td-130c {
+			float: right;
+			text-align:left;
+			margin: 0px 0 0 1px;
+			width: 130px;	
+			border: none;
+			padding: 0px;
+		}		
+
+		td {
+		    border: .2px;
+		}
+		.red 	{
+			BACKGROUND: none; 
+			COLOR: #ff0000; 
+			FONT-SIZE: 12px; 
+			FONT-FAMILY:  Helvetica
+		}
+		.copy 	{
+			background: #d2d2d2; 
+			FONT-SIZE: 8px; 
+			FONT-FAMILY: Helvetica;
+			border: 1px;
+		}
+		.cen {
+		margin: 10px auto 0 auto; 
+		}
+		-->
+		</style>";
+
+
+
+
+
+
+
+		$style .="<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0><img src=\"modules/Elezioni/images/logo.gif\" align=\"left\" /></td> ";	
+	
+		$style .= "<td border=0>$datipdf</td></tr></table><br/><br/>";
+		$style .= "<table style=\"margin: auto;\"><tr><td>$html</td></tr></table>";
+		$style .= "<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0>";
+
+		$data=date("d-m-y G:i");
+		$style .="<br/><span class=\"copy\"><i>Stampato il $data</i></span>";
+		$style .="<br/><span class=\"copy\"><i>Eleonline by luciano apolito & roberto gigli - www.eleonline.it</i></span>";
+		$style .="</td></tr></table>";
+		$nomefile=strip_tags($datipdf).".pdf";
+		$nomefile=str_replace(" ", "_",$nomefile);
+		// conversion HTML => PDF
+
+		require_once('inc/hpdf/html2pdf.class.php');
+		$html2pdf = new HTML2PDF('L','A4', 'it');
+		$html2pdf->WriteHTML($style, isset($_GET['vuehtml']));
+		$html2pdf->Output($nomefile);
 
 
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 103)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 104)
@@ -179,11 +179,17 @@
 */
 			$visvot='';
+
+			if (!$csv) echo "<div><h5>$pagina</h5></div>";
+			if (!$csv) echo "<div style=\"text-align:left; margin-left:20px;\">";
+
 			if(strstr( $op,'candidato')){
 //			$numliste=mysql_num_rows($res_lis);
 				$visvot="cand";
 				if (!$csv){
+					
+
 					$res_lis = mysql_query("SELECT id_lista, descrizione,num_lista from ".$prefix."_ele_lista where id_cons=$id_cons $condcirc order by num_lista",$dbi);
 					//elenco delle liste per la scelta
-					echo "<p>Scegli la lista: 
+					echo "<p>"._SCEGLI_LISTA.": 
 					<select name=\"id_lista\" class=\"modulo\" onChange=\"top.location.href=this.form.pag.value+this.form.id_lista.options[this.form.id_lista.selectedIndex].value;return false\">";
 					while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_lis)) {
@@ -279,7 +285,6 @@
 			if (!(0<$offset and $offset<=$num_cand)) $offset=$num_cand;
 			if (!$csv) {		
-				echo "<br /><table>
-				  <tr><td><h5>$pagina</h5></td></tr>";
-				echo "<tr><td>"._DA.":&nbsp;  <select name=\"min\" class=\"modulo\">";
+				if(strstr( $op,'lista')){$scelta=_SCEGLI_LISTA;}else{$scelta=_SCEGLI_CANDI;}
+				echo "<p>$scelta "._DA.":&nbsp;  <select name=\"min\" class=\"modulo\">";
 				while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_cand)) {
 					if (!$min) $min=$num_lis;
@@ -290,6 +295,6 @@
 					
 				}
-				echo "</select></td></tr>";
-				echo "<tr><td>&nbsp;&nbsp;"._A.":&nbsp; <select name=\"offset\" class=\"modulo\">";
+				echo "</select>";
+				echo "&nbsp;&nbsp;"._A.":&nbsp; <select name=\"offset\" class=\"modulo\">";
 				mysql_data_seek($res_cand,0);
 				while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_cand)) {
@@ -301,40 +306,46 @@
 					
 				}
-				echo "</select></td></tr></table>";
-				echo "<table><tr><td>";
+				echo "</select></p>";
+				//echo "<div style=\"text-align:left; margin-left:20px;\">";
+				if(!$circo){
+				echo "<p>"._SCEGLI." $tipo1 n. <input  name=\"minsez\" value=\"$minsez\" size=\"4\" ></input>";
+				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $num_sez)";
+				}
+				# pagine
+				$diff=($offsetsez-$minsez);
+				if ($minsez>1){
+					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff-1:1;
+					 
+					$offsetsez_p=$offsetsez-$diff-1;
+								echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
+				}else{echo "";}
+
+				if ($offsetsez<$num_sez){
+					$minsez_s=$minsez+$diff+1;
+					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff+1;
+
+								echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
+				}else{echo "";}	
+
+
+
+
+
 				if(!$circo)
-				echo "$tipo1 n. <input  name=\"minsez\" value=\"$minsez\" size=\"4\" ></input>";
-				echo "</td>";
-				echo "<td>";
-				if(!$circo)
-				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $num_sez)";
-				echo "</td>
-				<td align=\"right\">"._MOSTRA." $tipo2 <br/>"._PERCOL."<input type=\"radio\" name=\"orvert\" $righe value=\"0\"></input><br/>"._PERRIGHE." <input
+				
+				echo "<div style=\"margin-left:10px;\"><br/>"._MOSTRA." $tipo2 "._PERCOL."<input type=\"radio\" name=\"orvert\" $righe value=\"0\"></input>"._PERRIGHE." <input
 				type=\"radio\" name=\"orvert\" $colonne value=\"1\"></input>";
 				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>
-				</td></tr>";
-$diff=($offsetsez-$minsez);
-if ($minsez>1){
-	$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff-1:1;
-	 
-	$offsetsez_p=$offsetsez-$diff-1;
-				echo "<tr><td valign=\"middle\"><div align=\"right\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- Precedenti</a></div></td>";
-}else{echo "<tr><td></td>";}
-if ($offsetsez<$num_sez){
-        $minsez_s=$minsez+$diff+1;
-        $offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff+1;
-
-				echo "<td><div><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> Successive -></a></div></td><td></td></tr>";
-}else{echo "<td></td><td></td></tr>";}	
-
-				
-				
-				echo "<tr>";
+				</div>";
+
+				
+				
+				echo "<p>";
 				if (!strstr( $op,'candidato')) {
-					echo "<td>"._VIS_PERC.": <input type=\"checkbox\" name=\"perc\" value=\"true\"";
+					echo ""._VIS_PERC.": <input type=\"checkbox\" name=\"perc\" value=\"true\"";
 					if($perc=='true') echo " checked=\"true\"";
-					echo "></input></td>";
-				}
-				echo "<td>";
+					echo "></input><br/>";
+				}
+				echo "";
 			if($circo) 
 				echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
@@ -345,5 +356,5 @@
 				echo "<input type=\"hidden\" name=\"pag2\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=\"></input>";	
 
-				 echo "<input type=\"submit\" name=\"update\" value=\""._OK."\"></input>"; 
+				 echo " <input type=\"submit\" name=\"update\" value=\""._RICARICA."\"></input></p></div>"; 
 
 
@@ -385,29 +396,33 @@
 			      
 				$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
+			
+				
+				
+				
+
+
+				
+				  # verificare la stampa sulle circoscrizioni
+				echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:20px;font-size:12px \">"._ESPORTA."<br />";
+				 if($circo) echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+				else{ 
+				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
+				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;pdf=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/pdf.gif\" alt=\"Export Pdf\" /></a>";
+				}
+				echo "</div></form>";
+				/*
 				if (!$circo)
 				echo "dalla $tipo3 n. <b>$minsez</b> alla $tipo3 n. <b>$offsetsez</b> di <b>$num_sez</b> $tipo2<br/><br/>";
 				else echo "<br/><br/>";
 				
-				
-
-
-				
-				  # verificare la stampa sulle circoscrizioni
-				 if($circo) echo "</td><td><a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
-				else{ 
-				  echo "</td><td><a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
-				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
-				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;pdf=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/pdf.gif\" alt=\"Export Pdf\" /></a>";
-				}
-				echo "</td></tr></table></div></form>";
-				
 				if (strstr( $op,'candidato')) echo $list2;	
-				
+				*/
 				
 			}
 			if (!$csv){
-				//echo "<table border=\"0\" width=\"100%\"><tr><td align=\"center\"><h5> Sezioni scrutinate";
-				//if ($tipo_cons!=4) echo ": $tot_scr su $tot_sez";
-				//echo "</h5></td></tr></table>";
+				echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:2px;font-size:12px \"><h5> Sezioni scrutinate";
+				if ($tipo_cons!=4) echo ": $tot_scr su $tot_sez &nbsp;&nbsp;&nbsp;  ";
+				echo "</h5>&nbsp; </div>";
 			}
 			$y=1;
@@ -448,5 +463,5 @@
 
 ###################			<span class=\"red\"><i>".$temp3[$key]." %</i></span>		
-					$ar[$z][0]=$res[0]; if($grpercscru) {$ar[$z][0].="<br><span class=\"red\"><i>$grpercscru%</i></span>";if(!strstr($ar[0][0],'scrutinio')) $ar[0][0].="<br><span class=\"red\"><i>% scrutinio</i></span>"; }
+					$ar[$z][0]=$res[0]; if($grpercscru) {$ar[$z][0].="<br /><span class=\"red\"><i>$grpercscru%</i></span>";if(!strstr($ar[0][0],'scrutinio')) $ar[0][0].="<br /><span class=\"red\"><i>% scrutinio</i></span>"; }
 					$pos[$z]=$res[0];
 					#$valar[$z]=array();
Index: trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-en.php	(revision 103)
+++ trunk/client/modules/Elezioni/language/lang-en.php	(revision 104)
@@ -441,4 +441,13 @@
 define("_ELEZIONI","Elections");
 define("_TEMA","Template");
+define("_SCEGLI_LISTA","Select List");
+define("_SCEGLI_CANDI","Select Candidate");
+define("_SCEGLI_SEZ","Select  Section");
+define("_SCEGLI_DELEG","Choose District");
+define("_ESPORTA","Export Results");
+
+
+
+
 
 ?>
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 103)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 104)
@@ -202,5 +202,9 @@
 define("_CNFR_CONS","RAFFRONTO TRA CONSULTAZIONI<br/>".htmlentities("si può impostare su liste singole o su raggruppamenti"));
 define("_SCELTA_CONS","<b>Scegli le consultazioni da mettere a confronto</b>");
-
+define("_SCEGLI_LISTA","Scegli la Lista");
+define("_SCEGLI_CANDI","Scegli il Candidato");
+define("_SCEGLI_SEZ","Scegli la Sezione");
+define("_SCEGLI_DELEG","Scegli la Circoscrizione");
+define("_ESPORTA","Esporta i Risultati");
 
 if($tipo_cons==12 or $tipo_cons==14 or $tipo_cons==15 or $tipo_cons==16 or $tipo_cons==17){
@@ -251,4 +255,5 @@
 define("_VOTI_RAGGR","Totale voti alle liste");
 define("_PROGRAM","Programma<br>elettorale");
+define("_RICARICA","Ricarica");
 
 
Index: trunk/client/temi/stylized/style.css
===================================================================
--- trunk/client/temi/stylized/style.css	(revision 103)
+++ trunk/client/temi/stylized/style.css	(revision 104)
@@ -286,5 +286,6 @@
 	text-transform: lowercase;
 	font-size: 12px;
-	color: #FFFFFF;
+	color: #ffffff;
+	text-align:center;
 /*
 	font-size: 14px;
Index: trunk/client/temi/yellowblu/style.css
===================================================================
--- trunk/client/temi/yellowblu/style.css	(revision 103)
+++ trunk/client/temi/yellowblu/style.css	(revision 104)
@@ -226,5 +226,6 @@
 	text-transform: lowercase;
 	font-size: 12px;
-	color: #FFFFFF;
+	color: #ffffff;
+	
 }
 
@@ -344,4 +345,5 @@
 	font-size: 12px;
 	color: #FFFFFF;
+	text-align:center;
 /*
 	font-size: 14px;