Index: trunk/client/modules/Elezioni/confronti.php
===================================================================
--- trunk/client/modules/Elezioni/confronti.php	(revision 104)
+++ trunk/client/modules/Elezioni/confronti.php	(revision 105)
@@ -318,10 +318,11 @@
 $per3=urlencode($per3);
 
+$logo=verificasimbolo();
 
 	echo "<table><tr><td>
-		<img src='modules/Elezioni/grafici/raffrontivoto.php?altro=$altro&amp;desc=$desc&amp;grp1=$grp1&amp;grp2=$grp2&amp;grp3=$grp3&amp;ar1=$ars1&amp;ar2=$ars2&amp;ar3=$ars3&amp;tot=$tot&amp;titvoti=$titolovoti'  alt=\"Grafico\" /></td></tr></table>";
+		<img src='modules/Elezioni/grafici/raffrontivoto.php?altro=$altro&amp;desc=$desc&amp;grp1=$grp1&amp;grp2=$grp2&amp;grp3=$grp3&amp;ar1=$ars1&amp;ar2=$ars2&amp;ar3=$ars3&amp;tot=$tot&amp;titvoti=$titolovoti&amp;logo=$logo'  alt=\"Grafico\" /></td></tr></table>";
 
 	echo "<table><tr><td>
-		<img src='modules/Elezioni/grafici/raffrontiperc.php?altro=$altro&amp;desc=$desc&amp;grp1=$grp1&amp;grp2=$grp2&amp;grp3=$grp3&amp;percg1=$per1&amp;percg2=$per2&amp;percg3=$per3&amp;perctot=$perctot&amp;titperc=$titoloperc'  alt=\"Grafico\" /></td></tr></table>";
+		<img src='modules/Elezioni/grafici/raffrontiperc.php?altro=$altro&amp;desc=$desc&amp;grp1=$grp1&amp;grp2=$grp2&amp;grp3=$grp3&amp;percg1=$per1&amp;percg2=$per2&amp;percg3=$per3&amp;perctot=$perctot&amp;titperc=$titoloperc&amp;logo=$logo'  alt=\"Grafico\" /></td></tr></table>";
 
 
Index: trunk/client/modules/Elezioni/crea_pagina.php
===================================================================
--- trunk/client/modules/Elezioni/crea_pagina.php	(revision 104)
+++ trunk/client/modules/Elezioni/crea_pagina.php	(revision 105)
@@ -21,6 +21,6 @@
 
 global $prefix,$dbi,$pdf,$csv,$xls,$lang,$descr_cons,$prefix,$dbi,$id_comune,$descrizione,$siteistat,$min,$offset,$minsez,$offsetsez,$datipdf;
-$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-	list($descr_com) = mysql_fetch_row($res);
+$res = mysql_query("SELECT descrizione,simbolo,stemma FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
+	list($descr_com,$simbolo,$stemma) = mysql_fetch_row($res);
 
 
@@ -236,10 +236,10 @@
 
 
-
-
-
-
-
-		$style .="<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0><img src=\"modules/Elezioni/images/logo.gif\" align=\"left\" /></td> ";	
+			# salva sull'hardisk lo stemma del comune
+			$logo=verificasimbolo();
+			$immagine= "<img src=\"modules/Elezioni/images/$logo\" alt=\"logo\" align=\"left\"/>";
+
+
+		$style .="<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0>$immagine</td> ";	
 	
 		$style .= "<td border=0>$datipdf</td></tr></table><br/><br/>";
@@ -254,6 +254,6 @@
 		$nomefile=str_replace(" ", "_",$nomefile);
 		// conversion HTML => PDF
-
-		require_once('inc/hpdf/html2pdf.class.php');
+		//$nomefile="elezioni_tabelle.pdf";
+		require_once('inc/hpdf403/html2pdf.class.php');
 		$html2pdf = new HTML2PDF('L','A4', 'it');
 		$html2pdf->WriteHTML($style, isset($_GET['vuehtml']));
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 104)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 105)
@@ -424,6 +424,8 @@
 }
 
+
 function arrayperc($temp,$sevaltot)
 {
+
 					$temp2tot=0;$temp2=array();$temp3=array();
 					while (list($key,$voti)= each($temp)) {
@@ -451,4 +453,43 @@
 					return($temp3);
 
-}
+
+}
+
+# ritorna l'estensione del file
+function file_extension($filename)
+{
+    $path_info = pathinfo($filename);
+    return $path_info['extension'];
+}
+
+
+# verifica stemma e lo salva come file per pdf e grafici
+function verificasimbolo()
+{
+	global $prefix,$dbi,$id_comune,$ins_logo;
+	if($ins_logo=="0"){
+		$logo="vuoto.jpg";  //var nel config.php
+	}else{
+
+		$res = mysql_query("SELECT simbolo,stemma FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
+		list($simbolo,$stemma) = mysql_fetch_row($res);
+		if($simbolo!=''){
+			if (!file_exists("modules/Elezioni/images/$simbolo")) {
+
+		   		if(!is_writeable("modules/Elezioni/images")) 
+					die("la dir modules/Elezioni/images non ha i permessi di scrittura. Correggere per continuare");
+	
+			$filename=$simbolo;
+			$file=fopen("modules/Elezioni/images/$filename",'w');
+			if (fwrite($file,$stemma));
+			$close = fclose($file);
+			}
+			$logo=$simbolo;
+		}else{
+			$logo="logo.gif";
+		}
+
+	}return $logo;
+}
+
 ?>
Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 104)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 105)
@@ -165,5 +165,5 @@
 if (isset($param['anim'])) $anim=intval($param['anim']); else $anim='';
 if ($siteistat==$id_comune) $logo="$siteistat"; else $logo=''; // logo per il  comune 
-
+$logo=verificasimbolo(); // carica_logo da funzioni.php
 // menu
 	if (!$csv && $anim!=1){ $anim=1;$versione=_VER_HTML;
@@ -309,4 +309,6 @@
 		echo "<h1>"._PERCE." "._VOTIE."</h1>";
 		if ($genere==0) echo " "._GRUPPO." $num_gruppo";
+
+		$logo=verificasimbolo(); // carica_logo da funzioni.php
 		
 		if ((!$csv && $flash!=1 || $anim!=1) and ($tour!=1)){ # rotazione x tour marzo 2009 a.l.
@@ -336,5 +338,5 @@
 global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$visgralista;
 if ($siteistat==$id_comune) $logo=$siteistat; else $logo=''; // logo per il  comune
-
+$logo=verificasimbolo(); // carica_logo da funzioni.php
 	if (!$id_circ and $circo){
 		$res_sez = mysql_query("SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons order by num_circ limit 0,1",$dbi);
@@ -519,5 +521,5 @@
 		if (isset($copy)) $copy=urlencode($copy); else $copy='';
 		$descr_cons=urlencode($descr_cons);
-		if ($genere==4){$w=700;$l=300;}else{$w=500;$l=180;}
+		if ($genere==4){$w=800;$l=250;}else{$w=750;$l=220;}
 
 
@@ -616,6 +618,6 @@
 function graf_candidato(){
 global $bgcolor1, $bgcolor5,$bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons, $id_cons,$tipo_cons,$copy,$id_comune,$id_istat,$genere,$votog,$votol,$votoc,$circo,$siteistat;
-if ($siteistat==$id_comune) $logo='1'; else $logo=''; // logo per il  comune
-	
+
+$logo=verificasimbolo(); // carica_logo da funzioni.php	
 
 		$tab="ele_voti_candidati";
Index: trunk/client/modules/Elezioni/grafici/barre.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/barre.php	(revision 104)
+++ trunk/client/modules/Elezioni/grafici/barre.php	(revision 105)
@@ -41,10 +41,9 @@
 $right = 40;
 $graph->Set90AndMargin($left,$right,$top,$bottom);
-#if(isset($logo)) $graph->SetBackgroundImage("../images/".$logo.".png",BGIMG_COPY);
-#else 
-//$graph->SetBackgroundImage("../images/vuoto.jpg",BGIMG_COPY);
-// Nice shadow
+//$graph->SetBackgroundImage("../images/$logo",BGIMG_COPY);
+
 $graph->SetShadow();
-$graph->SetBackgroundGradient('white','yellow',GRAD_HOR,BGRAD_MARGIN);
+$graph->SetBackgroundGradient('yellow','white',GRAD_HOR,BGRAD_MARGIN);
+//$graph->SetBackgroundImage("../images/$logo",BGIMG_COPY);
 // Setup title
 $graph->title->Set("$titolo");
@@ -118,5 +117,5 @@
 // Now create a bar pot
 $bplot = new BarPlot($datay);
-$bplot->SetFillColor("orange");
+$bplot->SetFillColor("red");
 $bplot->SetShadow();
 
@@ -126,7 +125,7 @@
 // We want to display the value of each bar at the top
 $bplot->value->Show();
-$bplot->value->SetFont(CURFONT1,FS_BOLD,12);
+$bplot->value->SetFont(CURFONT1,FS_BOLD,14);
 $bplot->value->SetAlign('left','center');
-$bplot->value->SetColor("black","darkred");
+$bplot->value->SetColor("red","yellow");
 $bplot->value->SetFormat("%.2f %%"); #  &#37;");
 
Index: trunk/client/modules/Elezioni/grafici/raffrontiperc.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/raffrontiperc.php	(revision 104)
+++ trunk/client/modules/Elezioni/grafici/raffrontiperc.php	(revision 105)
@@ -8,4 +8,5 @@
 $altro=$_GET['altro'];
 $desc=$_GET['desc'];
+$logo=$_GET['logo'];
 $grp1=$_GET['grp1'];$grp2=$_GET['grp2'];$grp3=$_GET['grp3'];
 
@@ -37,5 +38,5 @@
 //$graph->Set3DPerspective(SKEW3D_RIGHT,650,470,true);
 
-$graph->SetBackgroundImage("../images/logo.jpg",BGIMG_COPY);
+$graph->SetBackgroundImage("../images/$logo",BGIMG_COPY);
 //$graph->SetBackgroundCountryFlag('ital',BGIMG_COPY,20);
 
Index: trunk/client/modules/Elezioni/grafici/raffrontivoto.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/raffrontivoto.php	(revision 104)
+++ trunk/client/modules/Elezioni/grafici/raffrontivoto.php	(revision 105)
@@ -7,4 +7,5 @@
 $altro=$_GET['altro'];
 $desc=$_GET['desc'];
+$logo=$_GET['logo'];
 $grp1=$_GET['grp1'];$grp2=$_GET['grp2'];$grp3=$_GET['grp3'];
 
@@ -33,6 +34,6 @@
 $graph->legend->Pos(0.03,0.2,"right","center");
 
-
-$graph->SetBackgroundImage("../images/logo.jpg",BGIMG_COPY);
+$graph->SetBackgroundImage("../images/$logo",BGIMG_COPY);
+//$graph->SetBackgroundImage("../images/logo.jpg",BGIMG_COPY);
 //$graph->SetBackgroundCountryFlag('ital',BGIMG_COPY,20);
 
Index: trunk/client/modules/Elezioni/grafici/votanti_graf.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/votanti_graf.php	(revision 104)
+++ trunk/client/modules/Elezioni/grafici/votanti_graf.php	(revision 105)
@@ -23,26 +23,9 @@
 $graph->title->Set($titolo);
 $graph->title->SetFont(FF_FONT1,FS_BOLD);
-$graph ->legend->Pos( 0.05,0.75,"left" ,"center");
-/*
-if(isset($logo)){
-      if (file_exists("../images/".$logo.".png")) {
-	  $graph->SetBackgroundImage("../images/".$logo.".png",BGIMG_COPY);
-      }else{
-	  else $graph->SetBackgroundImage("../images/vuoto.jpg",BGIMG_COPY);
-}
-*/
-// testo
-/*
-$txt =new Text("$cop");
-$txt->SetFont(FF_FONT1,FS_BOLD);
-//$txt->Pos(0.5,0.97,'center','bottom');
-$txt->SetBox('yellow','black'); 
-$txt->Pos( 2,2,'center');
-$txt->SetColor( "black");
+$graph ->legend->Pos( 0.55,0.75,"left" ,"center");
 
-$graph->AddText( $txt);
+$graph->SetBackgroundImage("../images/$logo",BGIMG_COPY);
 
-*/
-$graph->SetBackgroundGradient('white','yellow',GRAD_HOR,BGRAD_MARGIN);
+$graph->SetBackgroundGradient('red','yellow',GRAD_HOR,BGRAD_MARGIN);
 
 $p1 = new PiePlot($data);
@@ -50,5 +33,5 @@
 $p1->value->Show();
 $p1->SetLegends($legend);
-$p1->SetCenter(0.4,0.5);
+$p1->SetCenter(0.45,0.5);
 
 $graph->Add($p1);
Index: trunk/client/modules/Elezioni/grafici/voti_graf.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/voti_graf.php	(revision 104)
+++ trunk/client/modules/Elezioni/grafici/voti_graf.php	(revision 105)
@@ -24,23 +24,11 @@
 $graph->title->Set($titolo);
 $graph->title->SetFont(FF_FONT1,FS_BOLD);
-$graph ->legend->Pos( 0.52,0.50,"left" ,"center");
+$graph ->legend->Pos( 0.52,0.70,"left" ,"center");
 $graph->SetBackgroundGradient('white','yellow',GRAD_HOR,BGRAD_MARGIN);
 
-/*
-$txt =new Text("$cop");
-//$txt =new Text("$siteistat");
-$txt->Pos( 2,180);
-$txt->SetColor( "red");
-$graph->AddText( $txt);
-*/
-if(isset($logo)){
-      //if (file_exists("modules/Elezioni/images/".$logo.".png")) {
-	//  $graph->SetBackgroundImage("../images/".$logo.".png",BGIMG_COPY);
-      }
-/*
-else{
-	  else $graph->SetBackgroundImage("../images/vuoto.jpg",BGIMG_COPY);
-}
-*/
+
+//$graph->SetBackgroundImagePos(1, 100);
+$graph->SetBackgroundImage("../images/$logo",BGIMG_COPY);
+
 // black-white
 //$graph->AdjBackgroundImage(0.4,0.3,-1);
@@ -50,5 +38,5 @@
 $p1->value->Show();
 $p1->SetLegends($legend);
-$p1->SetCenter(0.25,0.4);
+$p1->SetCenter(0.25,0.65);
 $graph->Add($p1);
 $graph->Stroke();
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 104)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 105)
@@ -356,5 +356,5 @@
 				echo "<input type=\"hidden\" name=\"pag2\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=\"></input>";	
 
-				 echo " <input type=\"submit\" name=\"update\" value=\""._RICARICA."\"></input></p></div>"; 
+				 echo " <input type=\"submit\" name=\"update\" value=\""._RICARICA."\"></input></p></div></form>"; 
 
 
@@ -405,11 +405,11 @@
 				  # verificare la stampa sulle circoscrizioni
 				echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:20px;font-size:12px \">"._ESPORTA."<br />";
-				 if($circo) echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+				 if($circo) echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				else{ 
-				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
-				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
-				  echo "<a href=\"".$_SERVER['PHP_SELF']."?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;pdf=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/pdf.gif\" alt=\"Export Pdf\" /></a>";
-				}
-				echo "</div></form>";
+				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
+				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;pdf=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/pdf.gif\" alt=\"Export Pdf\" /></a>";
+				}
+				echo "</div>";
 				/*
 				if (!$circo)
@@ -421,4 +421,5 @@
 				
 			}
+			
 			if (!$csv){
 				echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:2px;font-size:12px \"><h5> Sezioni scrutinate";
@@ -426,4 +427,5 @@
 				echo "</h5>&nbsp; </div>";
 			}
+			
 			$y=1;
 			$ar[0][0]=$tipo2;
@@ -446,4 +448,5 @@
 				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
 					$res=mysql_fetch_row($res_numsez);
+
 ##############inserimento percentuale di scrutinio nella sezione
 		$scruvalidi=0;
@@ -467,8 +470,11 @@
 					#$valar[$z]=array();
 				}
+
+
 			if (!isset($pos)) $pos[0]=0;
 			$minpos=min($pos);
 			$maxpos=max($pos);
 			////////////////////////////////////////////////////////////////////
+
 			if ($res_voti)
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){