Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 109)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 110)
@@ -77,5 +77,4 @@
 define("_TOT","Totale ");
 define("_GESTIMM","Gestione Logo o Simbolo");
-define("_SIMBOLO","Simbolo");
 define("_INVIOFILE","<font color=\"red\">Invio file (jpg,gif o png) per Logo o Simbolo</font>");
 define("_FILEDAINVIARE","Scegli il file da inviare");
@@ -266,4 +265,5 @@
 		define("_GRUPPO","Candidato Presidente");
 		define("_GRUPPOLOGO","Logo del Presidente");
+		define("_SIMBOLO","Candidato<br>Presidente");
 		define("_PRESI","Presidente");
 		define("_CONSI","Consigliere");
@@ -278,4 +278,5 @@
 		define("_GRUPPO","Quesito Referendario");
 		define("_GRUPPOLOGO","Logo del Quesito");
+		define("_SIMBOLO","Scheda");
 		define("_PRESI","Quesito");
 		break;
@@ -286,4 +287,5 @@
 		define("_GRUPPO","Candidato Sindaco");
 		define("_GRUPPOLOGO","Logo del Sindaco");
+		define("_SIMBOLO","Candidato<br> Sindaco");
 		define("_PRESI","Sindaco");
 		define("_CONSI","Consigliere");
@@ -293,9 +295,10 @@
 		break;
         case 4:
-		 define("_SCELTA_CIR","Scegli la Circoscrizione");
-	        define("_CONSULTAZIONE","Consultazione Elezioni Circoscrizione");
-                define("_GRUPPI","Candidati Presidente");
-		define("_GRUPPO","Candidato Presidente");
-                define("_CONSI","Consigliere");
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
+	    define("_CONSULTAZIONE","Consultazione Elezioni Circoscrizione");
+		define("_SIMBOLO","Candidato<br>Presidente");
+        define("_GRUPPI","Candidati Presidente");
+		define("_GRUPPO","Candidato Presidente");
+        define("_CONSI","Consigliere");
 		define("_CONSIGLIO","Consiglio Circoscrizionale");
                 break;
@@ -304,10 +307,12 @@
 		define("_GRUPPI","Candidati Sindaco");
 		define("_GRUPPO","Candidato Sindaco");
+		define("_SIMBOLO","Candidato<br> Sindaco");
 		define("_GRUPPOLOGO","Logo del Sindaco");
 		define("_PRESI","Presidente");
 		break;
 	case 6:
-		 define("_SCELTA_CIR","Scegli la Circoscrizione");
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Camera");
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPI","Liste");
 		define("_GRUPPO","Lista");
@@ -315,6 +320,7 @@
 		break;
 	case 7:
-		 define("_SCELTA_CIR","Scegli la Circoscrizione");
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Senato");
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPI","Liste");
 		define("_GRUPPO","Lista");
@@ -322,6 +328,7 @@
 		break;
 	case 8:
-		 define("_SCELTA_CIR","Scegli la Circoscrizione");
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Parlamentare Europea");
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPI","Liste");
 		define("_GRUPPO","Lista");
@@ -331,6 +338,7 @@
 		break;
 	case 9:
-		 define("_SCELTA_CIR","Scegli la Circoscrizione");
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Regionale");
+		define("_SIMBOLO","Candidato<br>Presidente");
 		define("_GRUPPI","Candidati Presidente");
 		define("_GRUPPO","Candidato Presidente");
@@ -344,4 +352,5 @@
 		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Senato");
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPI","Coalizioni");
 		define("_GRUPPO","Coalizione");
@@ -354,4 +363,5 @@
 		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Camera");
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPI","Coalizioni");
 		define("_GRUPPO","Coalizione");
@@ -363,4 +373,5 @@
 		 define("_SCELTA_CIR","Scegli il Collegio");
 		define("_CONSULTAZIONE","Consultazione Elezioni Provinciali");
+		define("_SIMBOLO","Candidato<br>Presidente");
 		define("_GRUPPI","Candidati Presidenti");
 		define("_GRUPPO","Candidato Presidente");
@@ -374,4 +385,5 @@
 	case 13: 
 		define("_CONSULTAZIONE","Sessione di Ballottaggio");
+		define("_SIMBOLO","Candidato<br>Presidente");
 		define("_GRUPPI","Candidati Presidente");
 		define("_GRUPPO","Candidato Presidente");
@@ -381,4 +393,5 @@
 	case 14:
 		define("_CONSULTAZIONE","Consultazione Parlamentare Europea"); //genere 4
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPO","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
@@ -388,4 +401,5 @@
 	case 15:
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
@@ -393,4 +407,5 @@
 	case 16: 
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
+		define("_SIMBOLO","Simbolo");
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","SENATO CON GRUPPI");
@@ -398,4 +413,5 @@
 	case 17:
 		define("_CONSULTAZIONE","Consultazione Elezioni Regionali"); //genere 5
+		define("_SIMBOLO","Candidato<br>Presidente");
 		define("_GRUPPO","Candidato Presidente");
 		define("_DESCRCONS","REGIONALI");