Index: trunk/client/modules/Elezioni/blocchi/04_sezioni.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 112)
+++ trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 113)
@@ -13,11 +13,13 @@
 $sql = mysql_query("select chiusa  from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen'",$dbi);
 		list($chiusa) = mysql_fetch_row($sql);
-		if($chiusa!='1') numeri_sezione();
-		//echo $chiusa;
+		
+		//if($chiusa!='1') numeri_sezione(); # se la consultazione non Ãš chiusa
+		
 
 
+numeri_sezione(); //lancia la funzione 
 
 function numeri_sezione() {
-global  $prefix, $dbi, $circo, $genere,$id_cons_gen,$id_cons,$id_circ,$tipo_cons,$votog;
+global  $prefix, $dbi, $circo, $genere,$id_cons_gen,$id_cons,$id_circ,$tipo_cons,$votog,$id_comune;
 
 
@@ -27,5 +29,7 @@
 		if ($genere==0) $tab="ref";elseif($genere=='4' || $votog) $tab="lista";
 		 else $tab="gruppo";
-		 
+		
+
+
 		# numero sezioni
 		$res = mysql_query("select t1.id_sez,t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos order by t1.num_sez",$dbi);
@@ -38,5 +42,5 @@
 			$i++;
 			/****************************************************************/     
-			/* suddivisione in circoscrizione - attivare se Ãš il caso
+			/* suddivisione in circoscrizione - attivare se Ãš il caso 
 
 			 $result = mysql_query("SELECT id_circ FROM ".$prefix."_ele_sede where id_cons='$id_cons' and id_sede='$sede_id' ", $dbi);
@@ -58,7 +62,8 @@
 			
 
+			if ($genere==0) $pos="gruppo_sezione";elseif($genere=='4' || $votog) $pos="lista_sezione";
+		 	else $pos="gruppo_sezione"; 
 			
-			
-			$html .="<td style=\"margin:0px auto; text-align:center; width:5%;\" bgcolor=\"$bgsez\"><b>$sez_num</b></td>";
+			$html .="<td style=\"margin:0px auto; text-align:center; width:5%;\" bgcolor=\"$bgsez\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&perc=true&file=index&op=$pos&minsez=$sez_num&offsetsez=$sez_num\"><b>$sez_num</b></a></td>";
 
 			if (($i%8) ==0) $html .="</tr>\n<tr>";
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 112)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 113)
@@ -429,6 +429,6 @@
 			
 			$y=1;
-			$ar[0][0]=$tipo2;
-			$ra[0][0]=$tipo2;
+			$ar[0][0]=$tipo3;
+			$ra[0][0]=$tipo3;
 			$num_sez++;
 			$voticompl=0;
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 112)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 113)
@@ -30,5 +30,5 @@
 define("_QUOZIENTI","Quozienti");
 define("_CIFRAELE","Cifra<br/>Elettorale");
-define("_PROIEZCONS","PROIEZIONE DELLA COMPOSIZIONE DEL CONSIGLIO COMUNALE<br>LA FUNZIONE DI CALCOLO E' SPERIMENTALE<BR>IL RISULTATO E' PURAMENTE INDICATIVO");
+define("_PROIEZCONS","PROIEZIONE DELLA COMPOSIZIONE DEL CONSIGLIO COMUNALE<br />LA FUNZIONE DI CALCOLO E' SPERIMENTALE<br />IL RISULTATO E' PURAMENTE INDICATIVO");
 define("_SCELTASIN","Scegli quale candidato deve essere considerato Sindaco Eletto");
 define("_COLLEGAMENTI","Collegamenti per il turno di ballottaggio");
@@ -253,5 +253,5 @@
 define("_LISTE","Liste");
 define("_VOTI_RAGGR","Totale voti alle liste");
-define("_PROGRAM","Programma<br>elettorale");
+define("_PROGRAM","Programma<br />elettorale");
 define("_RICARICA","Ricarica");
 
@@ -265,5 +265,5 @@
 		define("_GRUPPO","Candidato Presidente");
 		define("_GRUPPOLOGO","Logo del Presidente");
-		define("_SIMBOLO","Candidato<br>Presidente");
+		define("_SIMBOLO","Candidato<br />Presidente");
 		define("_PRESI","Presidente");
 		define("_CONSI","Consigliere");
@@ -287,5 +287,5 @@
 		define("_GRUPPO","Candidato Sindaco");
 		define("_GRUPPOLOGO","Logo del Sindaco");
-		define("_SIMBOLO","Candidato<br> Sindaco");
+		define("_SIMBOLO","Candidato<br /> Sindaco");
 		define("_PRESI","Sindaco");
 		define("_CONSI","Consigliere");
@@ -297,5 +297,5 @@
 		define("_SCELTA_CIR","Scegli la Circoscrizione");
 	    define("_CONSULTAZIONE","Consultazione Elezioni Circoscrizione");
-		define("_SIMBOLO","Candidato<br>Presidente");
+		define("_SIMBOLO","Candidato<br />Presidente");
         define("_GRUPPI","Candidati Presidente");
 		define("_GRUPPO","Candidato Presidente");
@@ -307,5 +307,5 @@
 		define("_GRUPPI","Candidati Sindaco");
 		define("_GRUPPO","Candidato Sindaco");
-		define("_SIMBOLO","Candidato<br> Sindaco");
+		define("_SIMBOLO","Candidato<br /> Sindaco");
 		define("_GRUPPOLOGO","Logo del Sindaco");
 		define("_PRESI","Presidente");
@@ -340,5 +340,5 @@
 		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Regionale");
-		define("_SIMBOLO","Candidato<br>Presidente");
+		define("_SIMBOLO","Candidato<br />Presidente");
 		define("_GRUPPI","Candidati Presidente");
 		define("_GRUPPO","Candidato Presidente");
@@ -373,5 +373,5 @@
 		 define("_SCELTA_CIR","Scegli il Collegio");
 		define("_CONSULTAZIONE","Consultazione Elezioni Provinciali");
-		define("_SIMBOLO","Candidato<br>Presidente");
+		define("_SIMBOLO","Candidato<br />Presidente");
 		define("_GRUPPI","Candidati Presidenti");
 		define("_GRUPPO","Candidato Presidente");
@@ -385,5 +385,5 @@
 	case 13: 
 		define("_CONSULTAZIONE","Sessione di Ballottaggio");
-		define("_SIMBOLO","Candidato<br>Presidente");
+		define("_SIMBOLO","Candidato<br />Presidente");
 		define("_GRUPPI","Candidati Presidente");
 		define("_GRUPPO","Candidato Presidente");
@@ -413,5 +413,5 @@
 	case 17:
 		define("_CONSULTAZIONE","Consultazione Elezioni Regionali"); //genere 5
-		define("_SIMBOLO","Candidato<br>Presidente");
+		define("_SIMBOLO","Candidato<br />Presidente");
 		define("_GRUPPO","Candidato Presidente");
 		define("_DESCRCONS","REGIONALI");